
//    ACLT1.DCL      Version 1.0
//    Part 1 of the source for ACLT.DCL.  See also ACLT[2-4].DCL.
//
//    Copyright (C) 1991-1995 by Autodesk, Inc.
//         
//    Permission to use, copy, modify, and distribute this software 
//    for any purpose and without fee is hereby granted, provided 
//    that the above copyright notice appears in all copies and that 
//    both that copyright notice and this permission notice appear in 
//    all supporting documentation.
//
//    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.

// AutoCAD LT  DCL (Dialog Control Language)
// Define AutoCAD LT dialogs

// This file should not be modified when used with AutoCAD LT.
// Modification to the dialogue definitions can have serious adverse
// effects on the use of the product.  Since no modifications to this
// file are allowed, there should be no need for any internal error
// checking on the contents of this file, hence we disable audit checks
// by default.

dcl_settings : default_dcl_settings { audit_level = 0; }

acad_snap : dialog {
        label = /*ASNAP_DCL_1*/"Drawing Aids";
        : row {
            : column {
                : boxed_column {
                    label = /*ASNAP_DCL_2*/"Modes";
                    : toggle {
                        label = /*ASNAP_DCL_3*/"&Ortho";
                        key = /*MSG0*/"ortho";
                    }
                    : toggle {
                        label = /*ASNAP_DCL_4*/"Solid &Fill";
                        key = /*MSG0*/"fill";
                    }
                    : toggle {
                        label = /*ASNAP_DCL_5*/"&Quick Text";
                        key = /*MSG0*/"qtext";
                    }
                    : toggle {
                        label = /*ASNAP_DCL_6*/"&Blips";
                        key = /*MSG0*/"blips";
                    }
                    : toggle {
                        label = /*ASNAP_DCL_7*/"Hi&ghlight";
                        key = /*MSG0*/"hilite";
                    }
                }
            }
            : boxed_column {
                label = /*ASNAP_DCL_8*/"&Snap";
                : toggle {
                    label = /*ASNAP_DCL_9*/"On";
                    key = /*MSG0*/"snap";
                }
                : edit12_box {
                    label = /*ASNAP_DCL_10*/"&X Spacing";
                    key = /*MSG0*/"s_xsp";
                    errmsg = /*ASNAP_DCL_11*/"Snap X Spacing";
                }
                : edit12_box {
                    label = /*ASNAP_DCL_12*/"&Y Spacing";
                    key = /*MSG0*/"s_ysp";
                    errmsg = /*ASNAP_DCL_13*/"Snap Y Spacing";
                }
                : edit12_box {
                    label = /*ASNAP_DCL_14*/"S&nap Angle";
                    key = /*MSG0*/"s_ang";
                }
                : edit12_box {
                    label = /*ASNAP_DCL_15*/"X B&ase";
                    key = /*MSG0*/"xbase";
                    errmsg = /*ASNAP_DCL_16*/"Snap X Base";
                }
                : edit12_box {
                    label = /*ASNAP_DCL_17*/"Y Bas&e";
                    key = /*MSG0*/"ybase";
                    errmsg = /*ASNAP_DCL_18*/"Snap Y Base";
                }
            }
            : column {
                : boxed_column {
                    label = /*ASNAP_DCL_19*/"&Grid";
                    fixed_height = true;
                    : toggle {
                        label = /*ASNAP_DCL_20*/"On";
                        key = /*MSG0*/"grid";
                    }
                    : edit12_box {
                        label = /*ASNAP_DCL_21*/"X S&pacing";
                        key = /*MSG0*/"g_xsp";
                        errmsg = /*ASNAP_DCL_22*/"Grid X Spacing";
                    }
                    : edit12_box {
                        label = /*ASNAP_DCL_23*/"Y Spa&cing";
                        key = /*MSG0*/"g_ysp";
                        errmsg = /*ASNAP_DCL_24*/"Grid Y Spacing";
                    }
                }
                : boxed_column {
                    label = /*ASNAP_DCL_25*/"&Isometric Snap/Grid";
                    : toggle {
                        label = /*ASNAP_DCL_26*/"On";
                        key = /*MSG0*/"iso";
                    }
                    : radio_row {
                        key = /*MSG0*/"isorad";
                        : radio_button {
                            label = /*ASNAP_DCL_27*/"&Left";
                            key = /*MSG0*/"ileft";
                        }
                        : radio_button {
                            label = /*ASNAP_DCL_28*/"&Top";
                            key = /*MSG0*/"itop";
                        }
                        : radio_button {
                            label = /*ASNAP_DCL_29*/"&Right";
                            key = /*MSG0*/"iright";
                        }
                    }
                }
            }
       }
        ok_cancel_help_errtile;
}

acad_ent_create : dialog {
    label = /*AECREATE_DCL_1*/"Entity Creation Modes";
    : row {
        : button {
            label = /*AECREATE_DCL_2*/"&Color...";
            key = /*MSG0*/"b_color";
        }
        : swatch {
            key = /*MSG0*/"show_image";
        }
        : text {
            key = /*MSG0*/"l_color";
            width = 18;
            fixed_width = true;
        }
    }
    : row {
        : button {
            label = /*AECREATE_DCL_3*/"&Layer...";
            key = /*MSG0*/"b_name";
        }
        : text {
            key = /*MSG0*/"l_name";
            width = 18;
            fixed_width = true;
        }
    }
    : row {
        : button {
            label = /*AECREATE_DCL_4*/"L&inetype...";
            key = /*MSG0*/"b_line";
        }
        : text {
            key = /*MSG0*/"l_line";
            width = 18;
            fixed_width = true;
        }
    }
    : row {
        : button {
            label = /*AECREATE_DCL_5*/"Text &Style...";
            key = /*MSG0*/"b_text";
        }
        : text {
            key = /*MSG0*/"l_text";
            width = 18;
            fixed_width = true;
        }
    }
    : edit_box {
        label = /*AECREATE_DCL_6*/"&Elevation:";
        key = /*MSG0*/"elev";
        errmsg = /*AECREATE_DCL_7*/"elevation";
        edit_width = 18;
    }
    : edit_box {
        label = /*AECREATE_DCL_8*/"&Thickness:";
        key = /*MSG0*/"thick";
        errmsg = /*AECREATE_DCL_9*/"thickness";
        edit_width = 18;
    }
    ok_cancel_help_errtile;
}

rq_chroma :dialog {
    label = /*RQCHROMA_DCL_1*/"Select Color";
    key = /*MSG0*/"chroma";           // used by Help button to obtain label
    std_rq_color;
}


acad_ltype : dialog {
    key = /*MSG0*/"ltype";
    label = /*ALTYPE_DCL_1*/"Select Linetype";
    fg_color = black;                 // Image foreground & background colors
    bg_color = white;                 //   are reversed for the selected item
    empty_color = dialog_background;  // Fill color for extra/unused images
    num_items = 10;
    //  The number of image/text pairs must match the "num_items" setting.
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_1"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_1"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_2"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_2"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_3"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_3"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_4"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_4"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_5"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_5"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_6"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_6"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_7"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_7"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_8"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_8"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_9"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_9"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = /*MSG0*/"image_10"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = /*MSG0*/"ltype_10"; width = 25; fixed_width = true;
        }
    }
    spacer_1;
    : edit_box {
        label = /*ALTYPE_DCL_2*/"&Linetype:";
        key = /*MSG0*/"edit";
        errmsg = /*ALTYPE_DCL_3*/"none";
        allow_accept = true;
        edit_limit = 31;
    }
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
        : retirement_button {
            label = /*ALTYPE_DCL_4*/"&Previous";
            key = /*MSG0*/"prev";
        }
        : retirement_button {
            label = /*ALTYPE_DCL_5*/" &Next ";
            key = /*MSG0*/"next";
        }
        help_button;
    }
    errtile;
}


acad_tstyle : dialog {
    label = /*ATSTYLE_DCL_1*/"Select Text Style";
    : row {
        : column {
            : list_box {
                key = /*MSG0*/"style_list";
                width = 16;
                height = 8;
                allow_accept = true;
            }
            : button {
                label = /*ATSTYLE_DCL_2*/"Show &All...";
                key = /*MSG0*/"showall";
            }
        }
        : column {
            : image {
                key = /*MSG0*/"style_image";
                height = 7;
                width = 20;
            }
            : edit_box {
                key = /*MSG0*/"style_sample";
                label = /*ATSTYLE_DCL_3*/"&Sample Text:";
                edit_width = 6;
                fixed_width = true;
                alignment = centered;
            }
        }
    }
    spacer;
    : edit_box {
        key = /*MSG0*/"style_edit";
        label = /*ATSTYLE_DCL_4*/"Style &Name:";
        edit_width = 32;
        edit_limit = 31;
        fixed_width = true;
        allow_accept = true;
    }
    : row {
        : paragraph {
            : text_part {
                label = /*ATSTYLE_DCL_5*/"Font:";
            }
            : text_part {
                label = /*ATSTYLE_DCL_6*/"Height:";
            }
            : text_part {
                label = /*ATSTYLE_DCL_7*/"Width:";
            }
            : text_part {
                label = /*ATSTYLE_DCL_8*/"Oblique:";
            }
            : text_part {
                label = /*ATSTYLE_DCL_9*/"Generation:";
            }
        }
        : paragraph {
            : text_part {
                key = /*MSG0*/"font";
                width = 32;
            }
            : text_part {
                key = /*MSG0*/"height";
                width = 32;
            }
            : text_part {
                key = /*MSG0*/"width";
                width = 32;
            }
            : text_part {
                key = /*MSG0*/"oblique";
                width = 32;
            }
            : text_part {
                key = /*MSG0*/"gen";
                width = 32;
            }
        }
    }
    ok_cancel_err;
}

acad_tstyle_sym : dialog {
    key = /*MSG0*/"acad_tstyle_sym";
    label = /*ATSTYLESYM_DCL_1*/"Symbol Set";
    : image {
        key = /*MSG0*/"showall";
        color = graphics_background;
        height = 16;
        width = 70;
    }
    : ok_button {
        is_cancel = true;
    }
}

acad_icon: dialog {
        key = /*MSG0*/"label";
        initial_focus               = /*MSG0*/"listbox";
        : row {
            : list_box {
                width               = 20;
                height              = 20;
                fixed_height        = true;
                key                 = /*MSG0*/"listbox";
                allow_accept        = true;
            }
            : column {
                : row {
                    : icon_image {
                        key         = /*MSG0*/"icon1";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon2";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon3";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon4";
                    }
                }
                : row {
                    : icon_image {
                        key         = /*MSG0*/"icon5";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon6";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon7";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon8";
                    }
                }
                : row {
                    : icon_image {
                        key         = /*MSG0*/"icon9";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon10";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon11";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon12";
                    }
                }
                : row {
                    : icon_image {
                        key         = /*MSG0*/"icon13";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon14";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon15";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon16";
                    }
                }
                : row {
                    : icon_image {
                        key         = /*MSG0*/"icon17";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon18";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon19";
                    }
                    : icon_image {
                        key         = /*MSG0*/"icon20";
                    }
                }
//
//              : row {
//                  : icon_image {
//                      key         = /*MSG0*/"icon21";
//                  }
//                  : icon_image {
//                      key         = /*MSG0*/"icon22";
//                  }
//                  : icon_image {
//                      key         = /*MSG0*/"icon23";
//                  }
//                  : icon_image {
//                      key         = /*MSG0*/"icon24";
//                  }
//              }
//
            }
        }
        : row {
            : row {
                spacer_0;
                : row {
                    fixed_width = true;
                    : button {
                        label = /*AICON_DCL_1*/"&Previous";
                        key = /*MSG0*/"prev";
                        width = 8;
                    }
                    :spacer {
                        width = 2;
                    }
                    :button {
                        label = /*AICON_DCL_2*/"  &Next  ";
                        key = /*MSG0*/"next";
                        width = 8;
                    }
                }
                spacer_0;
            }
            spacer;
            ok_cancel;
        }
}

acad_mlayer : dialog {
    label = /*AMLAYER_DCL_1*/"Layer Control";
    initial_focus = /*MSG0*/"layer_name_box";
    : row {
        : column {
            : concatenation {
                : text_part {
                    label = /*AMLAYER_DCL_2*/"Current Layer: ";
                }
                : text_part {
                    label = /*MSG0*/"";
                    key = /*MSG0*/"cur_layer";
                    width = 32;
                }
            }
            : concatenation {
                : text_part {
                    label = /*AMLAYER_DCL_3*/"La&yer Name";
                    width = /*GLOB1_DCL_2*/23;
                }
                : text_part {
                    label = /*AMLAYER_DCL_4*/"State";
                    width = /*GLOB1_DCL_3*/10;
                }
                : text_part {
                    label = /*AMLAYER_DCL_5*/"Color";
                    width = /*GLOB1_DCL_4*/9;
                }
                : text_part {
                    label = /*AMLAYER_DCL_6*/"Linetype";
                }
            }
            : list_box {
                tabs = /*GLOB1_DCL_1*/"22 25 27 29 33 41";
                width = 55;
                height = 12;
                key = /*MSG0*/"layers";
                fixed_width = true;
                multiple_select = true;
            }
        }
        : column {
            children_alignment = centered;
            : row {
                key = /*MSG0*/"actions_1";
                : column {
                    children_alignment = centered;
                    : button {
                        label = /*AMLAYER_DCL_7*/"&On";
                        key = /*MSG0*/"on";
                        value = /*MSG0*/"1";
                    }
                    : button {
                        label = /*AMLAYER_DCL_8*/"&Thaw";
                        key = /*MSG0*/"thaw";
                    }
                    : button {
                        label = /*AMLAYER_DCL_9*/"&Unlock";
                        key = /*MSG0*/"unlock";
                    }
                }
                : column {
                    children_alignment = centered;
                    : button {
                        label = /*AMLAYER_DCL_10*/"O&ff";
                        key = /*MSG0*/"off";
                    }
                    : button {
                        label = /*AMLAYER_DCL_11*/"Free&ze";
                        key = /*MSG0*/"freeze";
                    }
                    : button {
                        label = /*AMLAYER_DCL_12*/"Loc&k";
                        key = /*MSG0*/"lock";
                    }
                }
            }
            spacer_0;
            : column {
                key = /*MSG0*/"vp_actions";
                children_alignment = centered;
                : row {
                    : text {
                        label = /*AMLAYER_DCL_13*/"Cur VP:";
                        fixed_width = true;
                        width = 7;
                    }
                    : button {
                        label = /*AMLAYER_DCL_14*/"Thw";
                        key = /*MSG0*/"curvp_thw";
                    }
                    : button {
                        label = /*AMLAYER_DCL_15*/"Frz";
                        key = /*MSG0*/"curvp_frz";
                    }
                }
                : row {
                    : text {
                        label = /*AMLAYER_DCL_16*/"New VP:";
                        fixed_width = true;
                        width = 7;

                    }
                    : button {
                        label = /*AMLAYER_DCL_17*/"Thw";
                        key = /*MSG0*/"newvp_thw";
                    }
                    : button {
                        label = /*AMLAYER_DCL_18*/"Frz";
                        key = /*MSG0*/"newvp_frz";
                    }
                }
            }
            spacer_0;
            : column {
                key = /*MSG0*/"actions_2";
                children_alignment = centered;
                : button {
                    label = /*AMLAYER_DCL_19*/"&Set Color...";
                    key = /*MSG0*/"color";
                }
                : button {
                    label = /*AMLAYER_DCL_20*/"Set &Ltype...";
                    key = /*MSG0*/"linetype";
                }
            }
            spacer_0;
        }
    }
    : row {
        : column {
            fixed_width = true;
            : button {
                label = /*AMLAYER_DCL_21*/"Select &All";
                key = /*MSG0*/"all";
            }
            : button {
                label = /*AMLAYER_DCL_22*/"Clea&r All";
                key = /*MSG0*/"clear";
            }
        }
        : column {
            fixed_width = true;
            : row {
                children_fixed_width = true;
                : button {
                    label = /*AMLAYER_DCL_23*/"Ne&w";
                    key = /*MSG0*/"add_new";
                }
                : button {
                    label = /*AMLAYER_DCL_24*/"&Current";
                    key = /*MSG0*/"set_current";
                }
                : button {
                    label = /*AMLAYER_DCL_25*/"Rena&me";
                    key = /*MSG0*/"rename";
                }
            }
            : edit_box {
                key = /*MSG0*/"layer_name_box";
                width = 32;
                edit_width = 32;
                edit_limit = 256;
            }
        }
        : boxed_row {
            label = /*AMLAYER_DCL_26*/"Filters";
            : toggle {
                label = /*AMLAYER_DCL_27*/"O&n";
                key = /*MSG0*/"use_filters";
            }
            : button {
                label = /*AMLAYER_DCL_28*/"S&et...";
                key = /*MSG0*/"do_filters";
            }
        }
    }
    ok_cancel_help_errtile;
}

acad_mlfilts : dialog {
    label = /*AMLFILTS_DCL_1*/"Set Layer Filters";
    : popup_list {
        label = /*AMLFILTS_DCL_2*/"&On/Off:";
        list = /*AMLFILTS_DCL_3*/"Both\nOn\nOff\n";
        key = /*MSG0*/"flt_on";
        edit_width = 12;
        popup_height = 3;
    }
    : popup_list {
        label = /*AMLFILTS_DCL_4*/"&Freeze/Thaw:";
        list = /*AMLFILTS_DCL_5*/"Both\nFrozen\nThawed";
        key = /*MSG0*/"flt_freeze";
        edit_width = 12;
        popup_height = 3;
    }
    : popup_list {
        label = /*AMLFILTS_DCL_6*/"Lock/&Unlock:";
        list = /*AMLFILTS_DCL_7*/"Both\nLocked\nUnlocked";
        key = /*MSG0*/"flt_lock";
        edit_width = 12;
        popup_height = 3;
    }
    : popup_list {
        label = /*AMLFILTS_DCL_8*/"Current &Vport:";
        list = /*AMLFILTS_DCL_9*/"Both\nFrozen\nThawed";
        key = /*MSG0*/"flt_curvp_frz";
        edit_width = 12;
        popup_height = 3;
    }
   : popup_list {
        label = /*AMLFILTS_DCL_10*/"&New Vports:";
        list = /*AMLFILTS_DCL_11*/"Both\nFrozen\nThawed";
        key = /*MSG0*/"flt_newvp_frz";
        edit_width = 12;
        popup_height = 3;
    }
    : edit_box {
        label = /*AMLFILTS_DCL_12*/"&Layer Names:";
        key = /*MSG0*/"flt_names";
        edit_width = 15;
    }
    : edit_box {
        label = /*AMLFILTS_DCL_13*/"&Colors:";
        key = /*MSG0*/"flt_colors";
        edit_width = 15;
    }
    : edit_box {
        label = /*AMLFILTS_DCL_14*/"L&types:";
        key = /*MSG0*/"flt_ltypes";
        edit_width = 15;
    }
    : button {
        label = /*AMLFILTS_DCL_15*/"&Reset";
        key = /*MSG0*/"reset";
    }
    ok_cancel_help_errtile;
}

acad_plan6 : dialog {
    label = /*APLAN6_DCL_1*/"UCS Origin Point and Axis Vectors";
    : concatenation {
        : text_part {
            label = /*APLAN6_DCL_2*/"Name: ";
        }
        : text_part {
            label = /*APLAN6_DCL_3*/"*World*";
            key = /*MSG0*/"name";
            width = 31;
        }
    }
    : row {
        : boxed_column {
            label = /*APLAN6_DCL_4*/"Origin";
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_5*/"X=";
                }
                : text_part {
                    key = /*MSG0*/"00";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_6*/"Y=";
                }
                : text_part {
                    key = /*MSG0*/"10";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_7*/"Z=";
                }
                : text_part {
                    key = /*MSG0*/"20";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = /*APLAN6_DCL_8*/"X Axis";
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_9*/"X=";
                }
                : text_part {
                    key = /*MSG0*/"01";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_10*/"Y=";
                }
                : text_part {
                    key = /*MSG0*/"11";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_11*/"Z=";
                }
                : text_part {
                    key = /*MSG0*/"21";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = /*APLAN6_DCL_12*/"Y Axis";
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_13*/"X=";
                }
                : text_part {
                    key = /*MSG0*/"02";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_14*/"Y=";
                }
                : text_part {
                    key = /*MSG0*/"12";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_15*/"Z=";
                }
                : text_part {
                    key = /*MSG0*/"22";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = /*APLAN6_DCL_16*/"Z Axis";
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_17*/"X=";
                }
                : text_part {
                    key = /*MSG0*/"03";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_18*/"Y=";
                }
                : text_part {
                    key = /*MSG0*/"13";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*APLAN6_DCL_19*/"Z=";
                }
                : text_part {
                    key = /*MSG0*/"23";
                    width = 12;
                }
            }
        }
    }
    : ok_button {
        is_cancel = true;
    }
}

acad_plan : dialog {
    label = /*APLAN_DCL_1*/"UCS Control";
    initial_focus = /*MSG0*/"listbox";
    spacer;
    : list_box {
        label = /*APLAN_DCL_2*/"&UCS Names";
        tabs = /*GLOB1_DCL_5*/"34";
        key = /*MSG0*/"listbox";
        width = 40;
    }
    : row {
        : button {
            label = /*APLAN_DCL_3*/"&Current";
            key = /*MSG0*/"cur";
        }
        : button {
            label = /*APLAN_DCL_4*/"&Delete";
            key = /*MSG0*/"delete";
        }
        : button {
            label = /*APLAN_DCL_5*/"&List...";
            key = /*MSG0*/"list";
        }
    }
    : row {
        : button {
            label = /*APLAN_DCL_6*/"&Rename To:";
            key = /*MSG0*/"rename";
            fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"rename_edit_box";
            edit_width = 32;
            edit_limit = 31;
        }
    }
    ok_cancel_help_errtile;
}

acad_txtedit : dialog {
    label = /*ATXTEDIT_DCL_1*/"Edit Text";
    initial_focus = /*MSG0*/"text_edit";
    : edit_box {
        label = /*ATXTEDIT_DCL_2*/"Text:";
        key = /*MSG0*/"text_edit";
        edit_width = 40;
        edit_limit = 256;
        allow_accept = true;
    }
    ok_cancel;
}

acad_attedit : dialog {
    label = /*AATTEDIT_DCL_1*/"Edit Attribute Definition";
    : edit_box {
        key = /*MSG0*/"tag_edit";
        label = /*AATTEDIT_DCL_2*/"Tag:";
        edit_width = 40;
    }
    : edit_box {
        key = /*MSG0*/"prompt_edit";
        label = /*AATTEDIT_DCL_3*/"Prompt:";
        edit_width = 40;
    }
    : edit_box {
        key = /*MSG0*/"default_edit";
        label = /*AATTEDIT_DCL_4*/"Default:";
        edit_width = 40;
        edit_limit = 256;
    }
    ok_cancel;
    : errtile { width = 45; }
}


//  "Edit Attributes" / "Enter Attributes"  dialogue.

acad_ddatte : dialog {
    key = /*MSG0*/"ddatte";
    label = /*ADDATTE_DCL_1*/"Edit Attributes";  // Changes to "Enter Attributes" for
                                          // INSERT with ATTDIA set.
    initial_focus = /*MSG0*/"edit_1";
    : concatenation {
        : text_part {
            label = /*ADDATTE_DCL_2*/"Block name: ";
        }
        : text_part {
            key = /*MSG0*/"block";
            width = 31;
        }
    }
    spacer_1;
    num_items = 10;
    //  The number of prompt/edit pairs must match the "num_items" setting.
    : row {
        : text {
            key = /*MSG0*/"prompt_1"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_1";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = /*MSG0*/"prompt_2"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_2";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = /*MSG0*/"prompt_3"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_3";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = /*MSG0*/"prompt_4"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_4";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = /*MSG0*/"prompt_5"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_5";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = /*MSG0*/"prompt_6"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_6";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = /*MSG0*/"prompt_7"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_7";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = /*MSG0*/"prompt_8"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_8";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = /*MSG0*/"prompt_9"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_9";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = /*MSG0*/"prompt_10"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = /*MSG0*/"edit_10";  edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
        : retirement_button {
            key = /*MSG0*/"prev";
            label = /*ADDATTE_DCL_3*/"&Previous";
        }
        : retirement_button {
            key = /*MSG0*/"next";
            label = /*ADDATTE_DCL_4*/" &Next ";
        }
        help_button;
    }
    errtile;
}

acad_info : dialog {
    label = /*AINFO_DCL_1*/"Program Information";    // Overridden by caller
    key = /*MSG0*/"acad_info";
    initial_focus = /*MSG0*/"listbox";
    : row {
        : image_button {
            key = /*MSG0*/"logo";
            width = 8;
            aspect_ratio = 1.0;
            fixed_height = true;
            alignment = top;
            color = dialog_background;
        }
        : paragraph {
            : text_part {
                key = /*MSG0*/"text1";
                width = 63;
            }
            : text_part {
                key = /*MSG0*/"text2";
                width = 63;
            }
            : text_part {
                key = /*MSG0*/"text3";
                width = 63;
            }
            : text_part {
                key = /*MSG0*/"text4";
                width = 63;
            }
            : text_part {
                key = /*MSG0*/"text5";
                width = 63;
            }
            : text_part {
                key = /*MSG0*/"text6";
                width = 63;
            }
        }
    }
    spacer;
    : list_box {
        width = 63;
        height = 10;
        key = /*MSG0*/"listbox";
    }
    : ok_button {                     // Permit exit via either ENTER
        is_cancel = true;             //   or CTRL-C.
    }
}

init_view : dialog {
    key = /*MSG0*/"title";
    initial_focus = /*MSG0*/"listbox";
    : list_box {
        tabs = /*GLOB1_DCL_6*/"33";
        width = 40;
        height = 10;
        key = /*MSG0*/"listbox";
        allow_accept = true;
    }
    ok_cancel_err;
}

acad_plot : dialog {
    label = /*APLOT_DCL_1*/"Plot Configuration";
    : row {
        : column {
            : boxed_column {
                label = /*APLOT_DCL_2*/"Setup and Default Information";
                : text {
                    key = /*MSG0*/"userid";
                    width = 35;
                }
                : button {
                    label = /*APLOT_DCL_3*/"Print/Plot Setup & &Default Selection...";
                    fixed_width = true;
                    key = /*MSG0*/"devsel";
                    alignment = centered;
                }
            }
            : boxed_row {
                label = /*APLOT_DCL_4*/"Pen Parameters";
                children_fixed_width = true;
                : button {
                    label = /*APLOT_DCL_5*/"&Pen Assignments...";
                    key = /*MSG0*/"assign";
                }

            }
            : boxed_column {
                label = /*APLOT_DCL_6*/"Additional Parameters";
                : row {
                    : radio_column {
                        fixed_width = true;
                        : radio_button {
                            label = /*APLOT_DCL_7*/"Displa&y";
                            key = /*MSG0*/"D";
                        }
                        : radio_button {
                            label = /*APLOT_DCL_8*/"E&xtents";
                            key = /*MSG0*/"E";
                        }
                        : radio_button {
                            label = /*APLOT_DCL_9*/"&Limits";
                            key = /*MSG0*/"L";
                        }
                        : radio_button {
                            label = /*APLOT_DCL_10*/"&View";
                            key = /*MSG0*/"V";
                        }
                        : radio_button {
                            label = /*APLOT_DCL_11*/"&Window";
                            key = /*MSG0*/"W";
                        }
                    }
                    : column {
                        : toggle {
                            label = /*APLOT_DCL_12*/"Hide &Lines";
                            key = /*MSG0*/"hide";
                        }
                        : toggle {
                            label = /*APLOT_DCL_13*/"Ad&just Area Fill";
                            key = /*MSG0*/"plfill";
                        }
                        : toggle {
                            label = /*APLOT_DCL_14*/"Dith&ering";
                            key = /*MSG0*/"dither";
                        }
                        : toggle {
                            label = /*APLOT_DCL_15*/"Use Pre&vious Printer";
                            key = /*MSG0*/"usePrevPrn";
                        }
                        : toggle {
                            label = /*APLOT_DCL_16*/"Plot To &File";
                            key = /*MSG0*/"file";
                        }
                    }
                }
                : row {
                    alignment = centered;
                    : button {
                        label = /*APLOT_DCL_17*/"Vi&ew...";
                        key = /*MSG0*/"view";
                        fixed_width = true;
                    }
                    : button {
                        label = /*APLOT_DCL_18*/"Wi&ndow...";
                        key = /*MSG0*/"selwind";
                        fixed_width = true;
                    }
                    : button {
                        label = /*APLOT_DCL_19*/"File N&ame...";
                        key = /*MSG0*/"sfile";
                        fixed_width = true;
                    }
                }
            }
        }
        : column {
                : boxed_column {
                    label = /*APLOT_DCL_20*/"Paper Size and Orientation";
                    : row {
                        : radio_column {
                            fixed_width = true;
                            vertical_margin = tiny;
                            : radio_button {
                                label = /*APLOT_DCL_21*/"In&ches";
                                key = /*MSG0*/"I";
                            }
                            : radio_button {
                                label = /*APLOT_DCL_22*/"&MM";
                                key = /*MSG0*/"M";
                            }
                        }
                        : row {
                            fixed_width = true;
                            : button {
                                label = /*APLOT_DCL_23*/"&Size...";
                                key = /*MSG0*/"sizbuttn";
                                fixed_width = true;
                            }
                            : text {
                                key = /*MSG0*/"size";
                                width = 6;
                            }
                            : column {
                                spacer;
                                : image {
                                    key = /*MSG0*/"vec_image";
                                    width = 4.0;
                                    fixed_width = true;
                                    aspect_ratio = 1.0;
                                    color = dialog_background;
                                }
                                spacer;
                            }
                        }
                    }
                    : text {
                        key = /*MSG0*/"area";
                        width = 25;
                    }
                }
                : boxed_column {
                    label = /*APLOT_DCL_24*/"Scale, Rotation, and Origin";
                    : button {
                        label = /*APLOT_DCL_25*/"Rotation and Ori&gin...";
                        key = /*MSG0*/"rot&or";
                        alignment = centered;
                        fixed_width = true;
                    }
                    : row {
                        : column {
                            children_fixed_width = true;
                            : text {
                                key = /*MSG0*/"pu";
                                width = 14;
                                alignment = right;
                            }
                            : edit_box {
                                edit_width = 10;
                                key = /*MSG0*/"punit";
                                alignment = centered;
                            }
                        }
                        : column {
                            children_fixed_width = true;
                            children_alignment = centered;
                            : text {
                                label = /*MSG0*/"=";
                            }
                            : text {
                                label = /*MSG0*/"=";
                            }
                        }
                        : column {
                            children_fixed_width = true;
                            : text {
                                label = /*APLOT_DCL_26*/"Drawing Units";
                            }
                            : edit_box {
                                edit_width = 10;
                                key = /*MSG0*/"dunit";
                                alignment = centered;
                            }
                        }
                    }
                    : toggle {
                        label = /*APLOT_DCL_27*/"Scaled to Fi&t";
                        key = /*MSG0*/"fit";
                    }
                }
                : boxed_column {
                    label = /*APLOT_DCL_28*/"Plot Preview";
                    : row {
                        children_fixed_width = true;
                        : button {
                            label = /*APLOT_DCL_29*/"P&review...";
                            key = /*MSG0*/"prev";
                        }
                        : radio_row {
                            : radio_button {
                                label = /*APLOT_DCL_30*/"Part&ial";
                                key = /*MSG0*/"earea";
                            }
                            : radio_button {
                                label = /*APLOT_DCL_31*/"F&ull";
                                key = /*MSG0*/"full";
                            }
                        }
                    }
                }
        }
    }
    ok_cancel_help;
    : row {
        : errtile { fixed_width = true; }

        // This spacer_0 between the two fixed-width items serves
        // to left-justify the first and right-justify the second,
        // since it's the only flexible-width item in the row.
        spacer_0;

        : row {
            fixed_width = true;
            : text {
                key = /*MSG0*/"zero";
                width = 3;
            }
            : image {
                key = /*MSG0*/"pre_image";
                color = dialog_background;
                height = 1;
                width = 18;
            }
            : text {
                key = /*MSG0*/"comp";
                width = 5;
            }
        }
    }
}

acad_plwin : dialog {
    label = /*APLWIN_DCL_1*/"Window Selection";
        : button {
            label = /*APLWIN_DCL_2*/"&Pick <";
            key = /*MSG0*/"pick";
            fixed_width = true;
        }
            : boxed_row {
                label = /*APLWIN_DCL_3*/"&First Corner";
                : edit_box {
                    label = /*APLWIN_DCL_4*/"   X:";
                    key = /*MSG0*/"fpx";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*APLWIN_DCL_5*/"   Y:";
                    key = /*MSG0*/"fpy";
                    edit_width = 10;
                }
            }
            : boxed_row {
                label = /*APLWIN_DCL_6*/"&Other Corner";
                : edit_box {
                    label = /*APLWIN_DCL_7*/"   X:";
                    key = /*MSG0*/"spx";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*APLWIN_DCL_8*/"   Y:";
                    key = /*MSG0*/"spy";
                    edit_width = 10;
                }
            }
        ok_cancel_err;
}


acad_plsize : dialog {
    label = /*APLSIZE_DCL_1*/"Paper Size";
    initial_focus = /*MSG0*/"listbox";
    : row {
        : column {
            : concatenation {
                : text_part {
                    label = /*APLSIZE_DCL_2*/"&Size";
                    width = /*GLOB1_DCL_8*/8;
                }
                : text_part {
                    label = /*APLSIZE_DCL_3*/"Width";
                    width = /*GLOB1_DCL_9*/9;
                }
                : text_part {
                    label = /*APLSIZE_DCL_4*/"Height";
                }
            }
            spacer_0;
            : list_box {
                key = /*MSG0*/"listbox";
                tabs = /*GLOB1_DCL_7*/"0 8 17";
                width = 28;
                height = 13;
            }
        }
        : spacer {
            width = 1;
        }
        : column {
            : row {
                : column {
                    spacer_1;
                    : text_part {
                        label = /*APLSIZE_DCL_5*/"Size";
                        width = /*GLOB1_DCL_13*/8;   /* US = 8, Europe = 14 */
                    }
                    spacer_0;
                }
                : column {
                    spacer_1;
                    : text_part {
                        label = /*APLSIZE_DCL_6*/"Width";
                        width = 14;
                    }
                    spacer_0;
                }
                : column {
                    spacer_1;
                    : text_part {
                        label = /*APLSIZE_DCL_7*/"Height";
                        width = 12;
                    }
                    spacer_0;
                }
            }
            : row {
                : column {
                    spacer_0;
                    : text_part {
                        label = /*APLSIZE_DCL_8*/"&USER:";
                        width = /*GLOB1_DCL_13*/8;   /* US = 8, Europe = 14 */
                    }
                    spacer_0;
                }
                : edit_box {
                    key = /*MSG0*/"0w";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*MSG0*/" ";
                    key = /*MSG0*/"0h";
                    edit_width = 10;
                }
            }
            : row {
                : column {
                    spacer_0;
                    : text_part {
                        label = /*APLSIZE_DCL_9*/"USER &1:";
                        width = /*GLOB1_DCL_13*/8;   /* US = 8, Europe = 14 */
                    }
                    spacer_0;
                }
                : edit_box {
                    key = /*MSG0*/"1w";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*MSG0*/" ";
                    key = /*MSG0*/"1h";
                    edit_width = 10;
                }
            }
            : row {
                : column {
                    spacer_0;
                    : text_part {
                        label = /*APLSIZE_DCL_10*/"USER &2:";
                        width = /*GLOB1_DCL_13*/8;   /* US = 8, Europe = 14 */
                    }
                    spacer_0;
                }
                : edit_box {
                    key = /*MSG0*/"2w";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*MSG0*/" ";
                    key = /*MSG0*/"2h";
                    edit_width = 10;
                }
            }
            : row {
                : column {
                    spacer_0;
                    : text_part {
                        label = /*APLSIZE_DCL_11*/"USER &3:";
                        width = /*GLOB1_DCL_13*/8;   /* US = 8, Europe = 14 */
                    }
                    spacer_0;
                }
                : edit_box {
                    key = /*MSG0*/"3w";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*MSG0*/" ";
                    key = /*MSG0*/"3h";
                    edit_width = 10;
                }
            }
            : row {
                : column {
                    spacer_0;
                    : text_part {
                        label = /*APLSIZE_DCL_12*/"USER &4:";
                        width = /*GLOB1_DCL_13*/8;   /* US = 8, Europe = 14 */
                    }
                    spacer_0;
                }
                : edit_box {
                    key = /*MSG0*/"4w";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*MSG0*/" ";
                    key = /*MSG0*/"4h";
                    edit_width = 10;
                }
            }
        }
    }
    ok_cancel_err;
}

acad_plpen : dialog {
    label = /*APLPEN_DCL_1*/"Pen Assignments";
    : column {
        : row {
            : paragraph {
                : concatenation {
                    : text_part {
                        label = /*APLPEN_DCL_2*/"Color      Pen No.";
                        key = /*MSG0*/"1";
                        width = /*GLOB1_DCL_11*/20;
                    }
                    : text_part {
                        label = /*APLPEN_DCL_3*/"Linetype";
                        key = /*MSG0*/"2";
                        width = /*GLOB1_DCL_12*/10;
                    }
                    : text_part {
                        label = /*APLPEN_DCL_4*/"Pen Width";
                        key = /*MSG0*/"4";
                    }
                }
                : list_box {
                    tabs = /*GLOB1_DCL_10*/"2 11 22 25";
                    key = /*MSG0*/"listbox";
                    multiple_select = true;
                    width = 42;
                }
            }
            : boxed_column {
                label = /*APLPEN_DCL_5*/"Modify Values";
                : row {
                    : text {
                        label = /*APLPEN_DCL_6*/"Color: ";
                        key = /*MSG0*/"color";
                        fixed_width = true;
                    }
                    : image {
                        key = /*MSG0*/"color_image";
                        width = 4.0;
                        height = 0.5;
                    }
                }
                : text {
                    width = 13;
                    key = /*MSG0*/"varies";
                }
                : edit_box {
                    label = /*APLPEN_DCL_7*/"&Pen:  ";
                    key = /*MSG0*/"penno";
                    edit_width = 8;
                }
                : edit_box {
                    key = /*MSG0*/"ltype";
                    label = /*APLPEN_DCL_8*/"&Ltype:";
                    edit_width = 8;
                }
                : edit_box {
                    label = /*APLPEN_DCL_9*/"&Width:";
                    key = /*MSG0*/"width";
                    edit_width = 8;
                }
            }
        }
        : row {
            : button {
                label = /*APLPEN_DCL_10*/"&Feature Legend...";
                key = /*MSG0*/"legend";
                fixed_width = true;
            }
            : text {
                key = /*MSG0*/"dithcol";
                width = 23;
                fixed_width = true;
            }
    }
    }
    ok_cancel_err;
}

acad_plpre : dialog {
    label = /*APLPRE_DCL_1*/"Preview Effective Plotting Area";
        : image {
            key = /*MSG0*/"pimage";
            height = 11.25;
            width = 25;
            fixed_width = true;
            fixed_height = true;
            alignment = centered;
        }
        : row {
            : image {
                key = /*MSG0*/"cpaper";
                width = 2.0;
                color = red;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = /*MSG0*/"paper";
                width = 50;
            }
        }
        : row {
            : image {
                key = /*MSG0*/"earea";
                width = 2.0;
                color = blue;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = /*MSG0*/"area";
                width = 50;
            }
        }
        : row {
            : image {
                key = /*MSG0*/"clip";
                width = 2.0;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = /*MSG0*/"cliptxt";
                width = 50;
            }
        }
        : text {
            width = 50;
            key = /*MSG0*/"warn";
        }
        : list_box {
            height = 3;
            key = /*MSG0*/"listbox";
        }
    ok_button;
}

acad_plok : dialog {
   label = /*APLOK_DCL_1*/"Plot Preview";
   : button {
       label = /*APLOK_DCL_2*/"&Pan and Zoom";
       key = /*MSG0*/"zoomd";
   }
   : button {
       key = /*MSG0*/"accept";
       label = /*APLOK_DCL_3*/"&End Preview";
       is_cancel = true;
   }
}

acad_plokcan : dialog {
    label = /*APLOKCAN_DCL_1*/"Plot Preview";
    : button {
        label = /*APLOKCAN_DCL_2*/"&Zoom Previous";
        key = /*MSG0*/"zoomd";
    }
    : button {
        key = /*MSG0*/"accept";
        label = /*APLOKCAN_DCL_3*/"&End Preview";
        is_cancel = true;
    }
}

acad_devinf : dialog {
    label = /*ADEVINF_DCL_1*/"Print/Plot Setup & Default Selection";
    : boxed_column {
        label = /*ADEVINF_DCL_2*/"Select Device";
        : concatenation {
            : text_part {
                label = /*ADEVINF_DCL_3*/"Manufacturer: ";
                fixed_width = true;
            }
            : text_part {
                key = /*MSG0*/"device";
                width = 50;
            }
        }
        : list_box {
            key = /*MSG0*/"listbox";
            width = 60;
            height = 6;
            tabs = /*GLOB1_DCL_14*/"36";
        }
    }

    : boxed_row {
        label = /*ADEVINF_DCL_4*/"File Defaults";
        : button {
            label = /*ADEVINF_DCL_5*/"&Save Defaults To File...";
            key = /*MSG0*/"sfile";
        }
        : button {
            label = /*ADEVINF_DCL_6*/"&Get Defaults From File...";
            key = /*MSG0*/"ffile";
        }
    }
    : boxed_row {
        label = /*ADEVINF_DCL_7*/"Device Specific Configuration";
        : button {
            label = /*ADEVINF_DCL_8*/"S&how Device Requirements...";
            key = /*MSG0*/"showreq";
            is_enabled = false;
        }
        : button {
            label = /*ADEVINF_DCL_9*/"&Print/Plot Setup...";
            key = /*MSG0*/"cfgreq";
            is_enabled = false;
        }
    }
    ok_cancel_err;
}

acad_plferr : dialog {
    label = /*APLFERR_DCL_1*/"Error Information On File Defaults";
    : list_box {
        width = 62;
        height = 8;
        key = /*MSG0*/"listbox";
    }
    : row {
        spacer_0;
        : row {
            fixed_width = true;
            : button {
                key = /*MSG0*/"save";
                label = /*APLFERR_DCL_2*/"&Create Error File";
            }
            : spacer {
                width = 2;
            }
            ok_button;
        }
        spacer_0;
    }
    errtile;
}

acad_rotor : dialog {
    label = /*AROTOR_DCL_1*/"Plot Rotation and Origin";
    : boxed_radio_row {
        label = /*AROTOR_DCL_2*/"Plot Rotation";
        : radio_button {
            label = /*AROTOR_DCL_3*/"&0";
            key = /*MSG0*/"0";
        }
        : radio_button {
            label = /*AROTOR_DCL_4*/"&90";
            key = /*MSG0*/"90";
        }
        : radio_button {
            label = /*AROTOR_DCL_5*/"&180";
            key = /*MSG0*/"180";
        }
        : radio_button {
            label = /*AROTOR_DCL_6*/"&270";
            key = /*MSG0*/"270";
        }
    }
    : boxed_row {
        label = /*AROTOR_DCL_7*/"Plot Origin";
        : edit_box {
            label = /*AROTOR_DCL_8*/"&X Origin:";
            key = /*MSG0*/"originx";
            edit_width = 10;
        }
        : edit_box {
            label = /*AROTOR_DCL_9*/"&Y Origin:";
            key = /*MSG0*/"originy";
            edit_width = 10;
        }
    }
    spacer;
    ok_cancel_err;
}


acad_newdwg : dialog {
    label = /*ANEWDWG_DCL_1*/"Create New Drawing";
    : boxed_row {
        label = /*ANEWDWG_DCL_2*/"Setup Method";
        : radio_column {
            key = /*MSG0*/"method";
            : radio_button {
                label = /*ANEWDWG_DCL_3*/"&Quick";
                key = /*MSG0*/"1";
            }
            : radio_button {
                label = /*ANEWDWG_DCL_4*/"&Custom";
                key = /*MSG0*/"2";
            }
            : radio_button {
                label = /*ANEWDWG_DCL_5*/"&None";
                key = /*MSG0*/"0";
            }
        }
        spacer;
        : boxed_column {
            label = /*ANEWDWG_DCL_6*/"Description";
            : paragraph {
                key = /*MSG0*/"desc";
                /* TRANSLATORS:  This paragraph contains descriptive text for
                                 the various setup methods.  The text strings
                                 are #116-118 in autocad.xmf, and can have a
                                 varying number of lines.  The code that
                                 displays them splits the lines at the "\n"
                                 characters, placing each line in a separate
                                 text_part tile, but we don't want too many
                                 blank tiles.  So use as many text_part tiles
                                 as necessary for the longest string, and set
                                 "num_lines" to match the number of text_part
                                 tiles used.
                */
                num_lines = /*GLOB1_DCL_20*/4;
                : text_part { key = /*MSG0*/"desc1"; width = 32; }
                : text_part { key = /*MSG0*/"desc2"; width = 32; }
                : text_part { key = /*MSG0*/"desc3"; width = 32; }
                : text_part { key = /*MSG0*/"desc4"; width = 32; }
            //  : text_part { key = /*MSG0*/"desc5"; width = 32; }
            //  : text_part { key = /*MSG0*/"desc6"; width = 32; }
            //  : text_part { key = /*MSG0*/"desc7"; width = 32; }
            }
            spacer;
        }
    }
    : boxed_row {
        : column {
            : button {
                label = /*ANEWDWG_DCL_7*/"&Prototype...";
                key = /*MSG0*/"template";
                width = 18;
            }
            : toggle {
                label = /*ANEWDWG_DCL_8*/"&Use Prototype";
                key = /*MSG0*/"dflts";
                value = /*MSG0*/"1";
            }
        }
        : column {
            : edit_box {
                key = /*MSG0*/"protype";
                width = 30;
                fixed_width = true;
            }
            : toggle {
                label = /*ANEWDWG_DCL_9*/"&Retain as Default";
                key = /*MSG0*/"retain";
                value = /*MSG0*/"0";
            }
        }
    }
    : toggle {
        label = /*ANEWDWG_DCL_10*/"&Show This Dialog at Startup";
        key = /*MSG0*/"startup";
        value = /*MSG0*/"1";
    }
    ok_cancel_help_errtile;
}

// Bmake.dcl - Block make using entmake with a dialogue interface.

bmake : dialog {
    label = /*BMAKE_DCL_1*/"Block Definition";
    : row {
        : edit_box {
            label = /*BMAKE_DCL_2*/"&Block name:";
            key = /*MSG0*/"bname";
            edit_width = 15;
            edit_limit = 31;
        }
        : toggle {
            label = /*BMAKE_DCL_3*/"&Unnamed  ";
            key = /*MSG0*/"unnamed";
        }
    }
    spacer;
    : row {
        : boxed_column { 
            label = /*BMAKE_DCL_4*/"Base Point";
            : button {
                label = /*BMAKE_DCL_5*/"Select &Point <";
                key = /*MSG0*/"pick_pt";                 
            }
            : edit_box {
                label = /*BMAKE_DCL_6*/"&X:";
                key = /*MSG0*/"x_pt";
                edit_width = 10;
            }
            : edit_box {
                label = /*BMAKE_DCL_7*/"&Y:";
                key = /*MSG0*/"y_pt";
                edit_width = 10;
            }
            : edit_box {
                label = /*BMAKE_DCL_8*/"&Z:";
                key = /*MSG0*/"z_pt";
                edit_width = 10;
            }
        }
        : column {
            spacer_1;
            : button {
                label = /*BMAKE_DCL_9*/"&Select Objects <";
                key = /*MSG0*/"sel_objs";                 
            }
            : concatenation {
                : text_part {
                    label = /*BMAKE_DCL_10*/"Number found: ";
                }
                : text_part {
                    key = /*MSG0*/"how_many";
                    width = 5;
                }
             }
             spacer;
             : button {
                 label = /*BMAKE_DCL_11*/"&List Block Names...";
                 key = /*MSG0*/"list_blocks";
             }
             : toggle {
                 label = /*BMAKE_DCL_12*/"&Retain Entities";
                 key = /*MSG0*/"retain";
             }
         }
    }
   spacer; 
   spacer;
   ok_cancel_help_errtile;
}

bname_exists : dialog {
    label = /*BNAME_DCL_1*/"Warning";
    : paragraph {
        : text_part {
            label = /*BNAME_DCL_2*/"A Block with this name already exists in the drawing.";
        }
        : text_part {
            label = /*BNAME_DCL_3*/"Do you want to redefine it?";
        }
    }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = /*BNAME_DCL_4*/"&Redefine";
            key = /*MSG0*/"yes";
            width = 8;
        }
        : spacer {
            width = 2;
        }
        : default_button {
            label = /*BNAME_DCL_5*/"Cancel";
            key = /*MSG0*/"no";
            width = 8;
        }
    }
}

list_blocks : dialog {
    label = /*LISTBLOCKS_DCL_1*/"Block Names In This Drawing";
    : edit_box {
        label = /*LISTBLOCKS_DCL_2*/"&Pattern:";
        key = /*MSG0*/"pattern";
    }
    : list_box {                                   
        key = /*MSG0*/"bl_match";
        width = 32;
//      multiple_select = true;
//      allow_accept = true;
    }
    spacer;
    ok_only;
}

//  This is the dialogue box definition file for the DDATTDEF command. This
//  is an enhancement to the ATTDEF command. It loads up a dialogue box
//  which presents to the user all the prompts and options that he/she
//  might encounter during the definition of one or several attributes.
//
ddattdef : dialog {
    label = /*DDATTDEF_DCL_1*/"Attribute Definition";
    : row {
        : boxed_column {
            label = /*DDATTDEF_DCL_2*/"Mode";
            : toggle {
                label = /*DDATTDEF_DCL_3*/"&Invisible";
                key = /*MSG0*/"invisible";
            }
            : toggle {
                label = /*DDATTDEF_DCL_4*/"&Constant";
                key = /*MSG0*/"constant";
            }
            : toggle {
                label = /*DDATTDEF_DCL_5*/"&Verify";
                key = /*MSG0*/"verify";
            }
            : toggle {
                label = /*DDATTDEF_DCL_6*/"&Preset";
                key = /*MSG0*/"preset";
            }
        }
        : boxed_column {
            label = /*DDATTDEF_DCL_7*/"Attribute";
            fixed_width = true;
            width = 40;
            : edit_box {
                label = /*DDATTDEF_DCL_8*/"&Tag:";
                key = /*MSG0*/"att_tag";
                edit_width = 30;
                edit_limit = 256;
            }
            : edit_box {
                label = /*DDATTDEF_DCL_9*/"&Prompt:";
                key = /*MSG0*/"att_prompt";
                edit_width = 30;
                edit_limit = 256;
            }
            : edit_box {
                label = /*DDATTDEF_DCL_10*/"&Value:";
                key = /*MSG0*/"def_val";
                edit_width = 30;
                edit_limit = 256;
            }
        }
    }
    : row {
        : boxed_column { 
            label = /*DDATTDEF_DCL_11*/"Insertion Point";
            : button {
                label = /*DDATTDEF_DCL_12*/"Pic&k Point <";
                key = /*MSG0*/"pick_pt";
            }
            : edit_box {
                label = /*DDATTDEF_DCL_13*/"&X:";
                key = /*MSG0*/"x_pt";
                edit_width = 10;
            }
            : edit_box {
                label = /*DDATTDEF_DCL_14*/"&Y:";
                key = /*MSG0*/"y_pt";
                edit_width = 10;
            }
            : edit_box {
                label = /*DDATTDEF_DCL_15*/"&Z:";
                key = /*MSG0*/"z_pt";
                edit_width = 10;
            }
        }
        : boxed_column {
            label = /*DDATTDEF_DCL_16*/"Text Options";
            fixed_width = true;
            width = 40;
            : column {
                : popup_list {
                    label = /*DDATTDEF_DCL_17*/"&Justification:";
                    key = /*MSG0*/"cjustif";
                    edit_width = 20;
                }
                : popup_list {
                    label = /*DDATTDEF_DCL_18*/"&Text Style:";
                    key = /*MSG0*/"tstyle";
                    edit_width = 20;
                }
            }
            : row {
                : button {
                    label = /*DDATTDEF_DCL_19*/"H&eight <";
                    key = /*MSG0*/"bheight";
                    width = 15;
                    fixed_width = true;
                }
                : edit_box {
                    key = /*MSG0*/"height";
                    edit_width = 20;
                    value = /*MSG0*/"0.2000";
                    fixed_width = true;
                }
            }
            : row {
                : button {
                    label = /*DDATTDEF_DCL_20*/"&Rotation <";
                    key = /*MSG0*/"brot";
                    width = 15;
                    fixed_width = true;
                }
                : edit_box {
                    key = /*MSG0*/"rot";
                    edit_width = 20;
                    fixed_width = true;
                }
            }
        }
    }
    : toggle {
        label = /*DDATTDEF_DCL_21*/"&Align below previous attribute";
        key = /*MSG0*/"align_prev";
        fixed_width = true;
    }
    ok_cancel_help_errtile;
}

// Dialogue definition file for DDATTEXT - Attribute extraction
ddattext : dialog {
    label = /*DDATTEXT_DCL_1*/"Attribute Extraction";
    : boxed_radio_column {
        label = /*DDATTEXT_DCL_2*/"File Format";
        : radio_button {
            label = /*DDATTEXT_DCL_3*/"&Comma Delimited File (CDF)";
            key = /*MSG0*/"cdf";
           }
           : radio_button {
            label = /*DDATTEXT_DCL_4*/"&Space Delimited File (SDF)";
            key = /*MSG0*/"sdf";
        }
           : radio_button {
            label = /*DDATTEXT_DCL_5*/"&Drawing Interchange File (DXF)";
            key = /*MSG0*/"dxf";
        }
    }
    : row {
        : button {
            label = /*DDATTEXT_DCL_6*/"Select &Objects <";
            key = /*MSG0*/"selobjs";
            fixed_width = true;
        }
        : concatenation {
            : text_part {
                label = /*DDATTEXT_DCL_7*/"Number found: ";
            }
            : text_part {
                key = /*MSG0*/"how_many";
                width = 5;
            }
        }
    }
    : row {
        : button {
            label = /*DDATTEXT_DCL_8*/"&Template File... ";
            key = /*MSG0*/"select_temp_file";
        }
        : edit_box {
            edit_width = 20;
            key = /*MSG0*/"temp_file";
            fixed_width = true;
        }
    }
    : row {
        : button {
            label = /*DDATTEXT_DCL_9*/"Output &File... ";
            key = /*MSG0*/"select_out_file";
        }
        : edit_box {
            edit_width = 20;
            key = /*MSG0*/"out_file";
            fixed_width = true;
        }
    }
    ok_cancel_help_errtile;
}

out_exists : dialog {
    label = /*OUTEXISTS_DCL_1*/"Warning";
    : paragraph {
        : text_part {
            label = /*OUTEXISTS_DCL_2*/"The output file already exists.";
        }
        : text_part {
            label = /*OUTEXISTS_DCL_3*/"Do you want to replace it?";
        }
    }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = /*OUTEXISTS_DCL_4*/"&Yes";
            key = /*MSG0*/"yes";
            width = 8;
        }
        : spacer {
            width = 2;
        }
        : default_button {
            label = /*OUTEXISTS_DCL_5*/"&No";
            key = /*MSG0*/"no";
            width = 8;
        }
    }
}

out_temp : dialog {
    label = /*OUTTEMP_DCL_1*/"Warning";
    : paragraph {
        : text_part {
            label = /*OUTTEMP_DCL_2*/"The template file and output file have the same name!";
        }
        : text_part {
            label = /*OUTTEMP_DCL_3*/"Please change output file name.";
        }
    }
    spacer_1;
    : ok_button {
        is_cancel = true;
    }
}

/*  Dialogues for the DDCHPROP command.  */

textbox : edit_box {
    vertical_margin = tiny;
    horizontal_margin = tiny;
}    

ch_prop : dialog {
    label = /*CHPROP_DCL_1*/"Change Properties";
    : row {
        : column {
            fixed_width = true;
            : row {
                : button {
                    label = /*CHPROP_DCL_2*/"&Color...";
                    key = /*MSG0*/"b_color";
                }
                : image_button {
                    key = /*MSG0*/"show_image";
                    height = 1;
                    width = 3;
                }
            }
            : button {
                label = /*CHPROP_DCL_3*/"&Layer...";
                key = /*MSG0*/"b_name";
            }
            : button {
                label = /*CHPROP_DCL_4*/"L&inetype...";
                key = /*MSG0*/"b_line";
            }
        }
        : column {
            spacer_0;
            : text {
                key = /*MSG0*/"t_color";
                width = 31;
            }
            : text {
                key = /*MSG0*/"t_layer";
                width = 31;
            }
            : text {
                key = /*MSG0*/"t_ltype";
                width = 31;
            }
            spacer_0;
        }
    }
    : edit_box {
        key = /*MSG0*/"eb_thickness";
        label = /*CHPROP_DCL_5*/"&Thickness:";
        edit_width = 31;
    }
    ok_cancel_help_errtile;
}

setcolor : dialog {
    label = /*SETCOLOR_DCL_1*/"Select Color";
    image_block;
    : list_box {
        key = /*MSG0*/"list_col";
        allow_accept = true;
    }
    : textbox {
        key = /*MSG0*/"edit_col";
        allow_accept = false;
        label = /*SETCOLOR_DCL_2*/"Color Code:";
        edit_width = 13;
     }
     ok_cancel_err;
}

setltype : dialog {
    label = /*SETLTYPE_DCL_1*/"Select Linetype";
    image_block;
    : list_box {
        key = /*MSG0*/"list_lt";
        allow_accept = true;
    }
    : edit_box {
        key = /*MSG0*/"edit_lt";
        allow_accept = false;
        label = /*SETLTYPE_DCL_2*/"&Linetype:";
        edit_limit = 31;
    }
    ok_cancel;
    errtile;
}

setlayer : dialog {
    subassembly = 0;
    label = /*SETLAYER_DCL_1*/"Select Layer";
    initial_focus = /*MSG0*/"listbox";
    : concatenation {
        children_fixed_width = true;
        key = /*MSG0*/"clayer";
        : text_part {
            label = /*SETLAYER_DCL_2*/"Current Layer: ";
        }
        : text_part {
            key = /*MSG0*/"cur_layer";
            width = 35;
        }
    }
    : row {
        fixed_width = true;
        key = /*MSG0*/"titles";
        children_fixed_width = true;
        : text {
            label = /*SETLAYER_DCL_3*/"Layer Name";
            width = /*GLOB1_DCL_16*/34;
        }
        : text {
            label = /*SETLAYER_DCL_4*/"State";
            width = /*GLOB1_DCL_17*/9;
        }
        : text {
            label = /*SETLAYER_DCL_5*/"Color";
            width = /*GLOB1_DCL_18*/8;
        }
        : text {
            label = /*SETLAYER_DCL_6*/"Linetype";
            width = /*GLOB1_DCL_19*/12;
        }
    }
    : list_box {
        tabs = /*GLOB1_DCL_15*/"32 35 37 39 41 44 53";
        width = 67;
        height = 12;
        key = /*MSG0*/"list_lay";
        allow_accept = true;
    }
    : row {
        key = /*MSG0*/"controls";
        : column {
            key = /*MSG0*/"lname";
            fixed_width = true;
            : edit_box {
                label = /*SETLAYER_DCL_7*/"&Set Layer Name:";
                key = /*MSG0*/"edit_lay";
                width = 32;
                edit_width = 32;
                edit_limit = 31;
                allow_accept = true;
            }
        }
    }
    ok_cancel_err;
}

//   DDGRIPS DCL   Version 1.0

ddgrips : dialog {
    label = /*DDGRIPS_DCL_1*/"Grips";
    : boxed_column {
        label = /*DDGRIPS_DCL_2*/"Select Settings";
        : toggle {
            label = /*DDGRIPS_DCL_3*/"&Enable Grips";
            key = /*MSG0*/"grips";
            fixed_width = true;
        }
        : toggle {
            label = /*DDGRIPS_DCL_4*/"Enable Grips Within &Blocks";
            key = /*MSG0*/"gripblock";
            fixed_width = true;
        }
    }
    : boxed_column {
         label = /*DDGRIPS_DCL_5*/"Grip Colors";
         : row {
             : column {
                 : button {
                     label = /*DDGRIPS_DCL_6*/"&Unselected...";
                     key = /*MSG0*/"cool_color";
                 }
                 : button {
                     label = /*DDGRIPS_DCL_7*/"&Selected...";
                     key = /*MSG0*/"hot_color";
                 }
             }
             : column {
                 : image {
                     key = /*MSG0*/"cool_image";
                     height = 1;
                     width = 3;
                     fixed_width = true;
                     fixed_height = true;
                 }
                 : image {
                     key = /*MSG0*/"hot_image";
                     height = 1;
                     width = 3;
                     fixed_width = true;
                     fixed_height = true;
                 }
             }
             : column {
                 : text {
                     label = /*DDGRIPS_DCL_8*/"Blue";
                     key = /*MSG0*/"cool_text";
                     width = 11;
                 }
                 : text {
                     label = /*DDGRIPS_DCL_9*/"Red";
                     key = /*MSG0*/"hot_text";
                     width = 11;
                 }
             }
        }
    }
    : boxed_row {
        label = /*DDGRIPS_DCL_10*/"&Grip Size";
        spacer_0;
       : column {
            spacer_0;
            fixed_width = true;
            : text {
                label = /*DDGRIPS_DCL_11*/"Min         Max";
                alignment = centered;
            }
            : slider {
                key = /*MSG0*/"grip_slider";
                min_value = 0;
                max_value = 19;
                width = 20;
                height = 1;
                small_increment = 1;
                big_increment = 1;
                fixed_width = true;
                fixed_height = true;
            }
            spacer_0;
        }
        : image {
            key = /*MSG0*/"grip_image";
            aspect_ratio = 1;
            height = 4;
            width = 7;
            color = -2;
        }
        spacer_0;
    }
    ok_cancel_help;
}


//   DDOSNAP DCL   Version 1.0

ddosnap : dialog {
    label = /*DDOSNAP_DCL_1*/"Running Object Snap";
    : boxed_row {
        label = /*DDOSNAP_DCL_2*/"Select Settings";
        : column {
            : toggle {
                label = /*DDOSNAP_DCL_3*/"&Endpoint";
                key = /*MSG0*/"endpoint";
                fixed_width = true;
            }  
            : toggle {
                label = /*DDOSNAP_DCL_4*/"&Midpoint";
                key = /*MSG0*/"midpoint";
                fixed_width = true;
            }
            : toggle {
                label = /*DDOSNAP_DCL_5*/"&Center";
                key = /*MSG0*/ "center";
                fixed_width = true;
            }
            : toggle {
                label = /*DDOSNAP_DCL_6*/"&Node";
                key = /*MSG0*/"node";
                fixed_width = true;
            }
            : toggle {
                label = /*DDOSNAP_DCL_7*/"&Quadrant";
                key = /*MSG0*/"quadrant";
                fixed_width = true;
            }
            : toggle {
                label = /*DDOSNAP_DCL_8*/"&Intersection";
                key = /*MSG0*/"intersection";
                fixed_width = true;
            }  
        }
        : column {
            : toggle {
                label = /*DDOSNAP_DCL_9*/"In&sertion";
                key = /*MSG0*/"insertion";
                fixed_width = true;
            }
            : toggle {
                label = /*DDOSNAP_DCL_10*/"&Perpendicular";
                key = /*MSG0*/"perpendicular";
                fixed_width = true;
            }
            : toggle {
                label = /*DDOSNAP_DCL_11*/"&Tangent";
                key = /*MSG0*/"tangent";
                fixed_width = true;
            }
            : toggle {
                label = /*DDOSNAP_DCL_12*/"Ne&arest";
                key = /*MSG0*/"nearest";
                fixed_width = true;
            }
            : toggle {
                label = /*DDOSNAP_DCL_13*/"Q&uick";
                key = /*MSG0*/"quick";
                fixed_width = true;
            }  
            : text {
               label = /*MSG0*/" ";
            }
        }
    }
    : boxed_row {
        label = /*DDOSNAP_DCL_14*/"Ape&rture Size";

        spacer_0;
        : column {
            spacer_0;
            fixed_width = true;
            : text {
                  label = /*DDOSNAP_DCL_15*/"Min         Max";
                  alignment = centered;
            }
            : slider {
                key = /*MSG0*/"aperture_slider";
                min_value = 0;
                max_value = 19;
                width = 20;
                height = 1;
                small_increment = 1;
                big_increment = 1;
                fixed_width = true;
                fixed_height = true;
            }
            spacer_0;
        }
        : image {
            key = /*MSG0*/"aperture_image";
            aspect_ratio = 1;
            height = 4;
            width = 7;
            color = -2;
        }
        spacer_0;
    }
    ok_cancel_help;
}

//  Ddptype dcl - Point size and type selection dialogue.
//  DDPTYPE dialogue.  Used by the DDPTYPE command.
//  Called from the Standard Menu.
ddptype: dialog {
  label        = /*DDPTYPE_DCL_1*/"Point Style";
  : column {
    : row {
      : image_button {
        key          = /*MSG0*/"pdmode0";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode1";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode2";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode3";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode4";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
    }
    : row {
      : image_button {
        key          = /*MSG0*/"pdmode32";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode33";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode34";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode35";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode36";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
    }
    : row {
      : image_button {
        key          = /*MSG0*/"pdmode64";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode65";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode66";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode67";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode68";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
    }
    : row {
      : image_button {
        key          = /*MSG0*/"pdmode96";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode97";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode98";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode99";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = /*MSG0*/"pdmode100";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
    }
  }
  : column {
    fixed_height = true;
    spacer_1;
    : row {
      : edit_box {
        label                = /*DDPTYPE_DCL_2*/"Point &Size:";
        key                  = /*MSG0*/"pdsize_value";
        edit_width           = 10;
        horizontal_alignment = left;
        allow_accept         = true;
      }
      : text {
        label = /*MSG0*/"";
        key   = /*MSG0*/"pdsize_label";
        width = 12;
      }
    }
    : radio_column {
      fixed_height = true;
      : radio_button {
        label       = /*DDPTYPE_DCL_3*/"Set Size &Relative to Screen";
        key         = /*MSG0*/"pdsize_r";
        is_tab_stop = false;
      }
      : radio_button {
        label       = /*DDPTYPE_DCL_4*/"Set Size in &Absolute Units";
        key         = /*MSG0*/"pdsize_a";
        is_tab_stop = false;
      }
    }
  }
  spacer_1;
  ok_cancel_help_errtile;
}

// Corresponding dialogue for DDRENAME
// of the Rename command with wildcard support and a dialogue
// interface.
ddrename : dialog {
    label = /*DDRENAME_DCL_1*/"Rename";
    : row {
        : column {
            : list_box {
                label = /*DDRENAME_DCL_2*/"&Named Objects";
                key = /*MSG0*/"tables";
                width = 12;
                height = 8;
            }
        }
        : column {
            : list_box {
                label = /*DDRENAME_DCL_3*/"&Items";
                key = /*MSG0*/"table_items";
                width = 25;
                height = 8;
                multiple_select = true;
            }
        }
    }
    : column {
        : edit_box { 
            label = /*DDRENAME_DCL_4*/"&Old Name:";
            key = /*MSG0*/"old";
            edit_width = 31;
            edit_limit = 31;
        }
        : row {
            : button {
                label = /*DDRENAME_DCL_5*/"&Rename To:";
                key = /*MSG0*/"rename";
            }
            : edit_box { 
                label = /*MSG0*/"";
                key = /*MSG0*/"new";
                edit_width = 31;
                edit_limit = 31;
            }
        }
    }
    spacer_1;
    ok_cancel_help_errtile;
}

//   DDSELECT DCL   Version 1.0

ddselect : dialog {
    label = /*DDSELECT_DCL_1*/"Entity Selection Settings";
    : boxed_column {
        label = /*DDSELECT_DCL_2*/"Selection Modes";
        : toggle {
            label = /*DDSELECT_DCL_3*/"&Noun/Verb Selection";
            key = /*MSG0*/"pickfirst";
            fixed_width = true;
        }
        : toggle {
            label = /*DDSELECT_DCL_4*/"&Use Shift to Add";
            key = /*MSG0*/"pickadd";
            fixed_width = true;
        }
        : toggle {
            label = /*DDSELECT_DCL_5*/"&Press and Drag";
            key = /*MSG0*/"pickdrag";
            fixed_width = true;
        }
        : toggle {
            label = /*DDSELECT_DCL_6*/"&Implied Windowing";
            key = /*MSG0*/"pickauto";
            fixed_width = true;
        }
        : button {
            label = /*DDSELECT_DCL_7*/"&Default Selection Mode";
            key = /*MSG0*/"default_mode";
            fixed_width = true;
            alignment = centered;
        }
    }
    : boxed_row {
        label = /*DDSELECT_DCL_8*/"Pickbox &Size";
        spacer_0;
        : column {
            spacer_0;
            fixed_width = true;
            : text {
                  label = /*DDSELECT_DCL_9*/"Min         Max";
                  alignment = centered;
            }
            : slider {
                key = /*MSG0*/"pickbox_slider";
                min_value = 0;
                max_value = 19;
                width = 20;
                height = 1;
                small_increment = 1;
                big_increment = 1;
                fixed_width = true;
                fixed_height = true;
            }
            spacer_0;
        }
        : image {
            key = /*MSG0*/"pickbox_image";
            aspect_ratio = 1;
            height = 4;
            width = 7;
            color = -2;
        }
        spacer_0;
    }
    : button {
        label = /*DDSELECT_DCL_10*/"&Entity Sort Method...";
        key = /*MSG0*/"ent_sort";
        fixed_width = true;
        alignment = centered;
    }
    ok_cancel_help;
}

sortents : dialog {
    label = /*SORTENTS_DCL_1*/"Entity Sort Method";
    : text {
        label = /*SORTENTS_DCL_2*/"Sort Entities for...";
    }
    : toggle {
        label = /*SORTENTS_DCL_3*/"&Object Selection";
        key = /*MSG0*/"sort_obj_sel";
        fixed_width = true;
    }
    : toggle {
        label = /*SORTENTS_DCL_4*/"Object &Snap";
        key = /*MSG0*/"sort_obj_snap";
        fixed_width = true;
    }
    : toggle {
        label = /*SORTENTS_DCL_5*/"&Redraws";
        key = /*MSG0*/"sort_redraws";
        fixed_width = true;
    }
    : toggle {
        label = /*SORTENTS_DCL_6*/"S&lide Creation";
        key = /*MSG0*/"sort_slide";
        fixed_width = true;
    }
    : toggle {
        label = /*SORTENTS_DCL_7*/"R&egens";
        key = /*MSG0*/"sort_regens";
        fixed_width = true;
    }
    : toggle {
        label = /*SORTENTS_DCL_8*/"&Plotting";
        key = /*MSG0*/"sort_plot";
        fixed_width = true;
    }
    : toggle {
        label = /*SORTENTS_DCL_9*/"PostS&cript Output";
        key = /*MSG0*/"sort_post";
        fixed_width = true;
    }
    ok_cancel;
}

//   DDUCSP.DCL   Version 1.0
//  Dducsp.dcl - Ucs presets selection dialogue.

dducsp : dialog {
  aspect_ratio = 0;
  label = /*DDUCSP_DCL_1*/"UCS Orientation";
  initial_focus = /*MSG0*/"ucsp_front";
  : row {
    : column {
      : image_button {
        key = /*MSG0*/"ucsp_world";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = /*MSG0*/"ucsp_left";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = /*MSG0*/"ucsp_cview";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
    }
    : column {
      : image_button {
        key = /*MSG0*/"ucsp_top";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = /*MSG0*/"ucsp_front";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = /*MSG0*/"ucsp_bottom";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
    }
    : column {
      : image_button {
        key = /*MSG0*/"ucsp_back";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = /*MSG0*/"ucsp_right";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = /*MSG0*/"ucsp_prev";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
    }
  }
  : row {
    : radio_column {
      : radio_button {
        label = /*DDUCSP_DCL_2*/"&Relative to Current UCS";
        key = /*MSG0*/"ucsp_r_ucs";
      }
      : radio_button {
        label = /*DDUCSP_DCL_3*/"&Absolute to WCS";
        key = /*MSG0*/"ucsp_a_wcs";
      }
    }
  }
  ok_cancel_help_errtile;
}

// Mostly copied from DDUNITS DCL   Version 1.0
// Dialogue definition file for DDUNITS - Units command.
ddunits : dialog {
    label = /*DDUNITS_DCL_1*/"Units Control";
    //
    // Horizontal cluster that contains the Units and Angles clusters.
    //
    : row {
        //
        // Units cluster.
        //
        : boxed_column {
            label = /*DDUNITS_DCL_2*/"Units";
            //
            // Radio cluster for the units format selection.
            //
            : radio_column {
                : radio_button {
                    key = /*MSG0*/"scientific";
                    label = /*DDUNITS_DCL_3*/"&Scientific";
                }
                : radio_button {
                    key = /*MSG0*/"decimal";
                    label = /*DDUNITS_DCL_4*/"De&cimal";
                }
                : radio_button {
                    key = /*MSG0*/"engineering";
                    label = /*DDUNITS_DCL_5*/"&Engineering";
                }
                : radio_button {
                    key = /*MSG0*/"architectural";
                    label = /*DDUNITS_DCL_6*/"&Architectural";
                }
                : radio_button {
                    key = /*MSG0*/"fractional";
                    label = /*DDUNITS_DCL_7*/"&Fractional";
                }
            }
            //
            // Linear Units Precision popup_list (System variable LUPREC).
            //
            spacer;
            : text {
                label = /*DDUNITS_DCL_8*/"&Precision:";
            }
            : popup_list {
                key = /*MSG0*/"luprec";
                edit_width = 14;
            }
        }
        //
        // Angle Formats Control.
        //
        : boxed_column {
            label = /*DDUNITS_DCL_9*/"Angles";
            //
            // Radio cluster for the angle format selection.
            //
            : radio_column {
                : radio_button {
                  key = /*MSG0*/"decimal_deg";
                  label = /*DDUNITS_DCL_10*/"Dec&imal Degrees";
                }
                : radio_button {
                    key = /*MSG0*/"dms";
                    label = /*DDUNITS_DCL_11*/"Deg/&Min/Sec";
                }
                : radio_button {
                    key = /*MSG0*/"grads";
                    label = /*DDUNITS_DCL_12*/"&Grads";
                }
                : radio_button {
                    key = /*MSG0*/"radians";
                    label = /*DDUNITS_DCL_13*/"&Radians";
                }
                : radio_button {
                    key = /*MSG0*/"surveyor_deg";
                    label = /*DDUNITS_DCL_14*/"Sur&veyor";
                }
            }
            //
            // Angle Precision popup_list (system variable AUPREC).
            //
            spacer_0;
            : text {
                label = /*DDUNITS_DCL_15*/"Precisio&n:";
            }    
            : popup_list {
                key = /*MSG0*/"auprec";
                edit_width = 17;
            }
        }
    }
    //
    // Row of buttons at bottom: OK Cancel Direction... Help...
    //
    : row {
        ok_button;
        cancel_button;
        : button {
             label = /*DDUNITS_DCL_16*/"&Direction...";
             key = /*MSG0*/"dir";
             fixed_width = true;
        }
        help_button;
    }
}

// Direction child dialog.
//
direction : dialog {
    label = /*DIRECTION_DCL_1*/"Direction Control";
    : boxed_column {
        label = /*DIRECTION_DCL_2*/"Angle 0 Direction";
        fixed_width = true;
        width =22;
        //
        // Direction sub-cluster to group the radio cluster and the
        // pick button/edit box cluster.
        //
        :row {
            //
            // Radio cluster for the direction selection.
            //
            : radio_column {
                : radio_button {
                    key = /*MSG0*/"east";
                    label = /*DIRECTION_DCL_3*/"&East";
                }
                : radio_button {
                    key = /*MSG0*/"north";
                    label = /*DIRECTION_DCL_4*/"&North";
                }
                : radio_button {
                    key = /*MSG0*/"west";
                    label = /*DIRECTION_DCL_5*/"&West";
                }
                : radio_button {
                    key = /*MSG0*/"south";
                    label = /*DIRECTION_DCL_6*/"&South";
                }
                : radio_button {
                    key = /*MSG0*/"other";
                    label = /*DIRECTION_DCL_7*/"&Other";
                }
            }
            //
            // Angle direction format labels appears to the right
            // of the radio cluster, a "pick" button next to "other"
            //
            : column {
                : text {
                    key = /*MSG0*/"zero";
                    label = /*MSG0*/"";
                    width = 9;
                }
                : text {
                    key = /*MSG0*/"ninety";
                    label = /*MSG0*/"";
                }
                : text {
                    key = /*MSG0*/"one_eighty";
                    label = /*MSG0*/"";
                }
                : text {
                    key = /*MSG0*/"two_seventy";
                    label = /*MSG0*/"";
                }
                : text {
                    key = /*MSG0*/"typed";
                    label = /*DIRECTION_DCL_8*/"Pick/Type";
                }
            }
        }
        //
        // Manual angle selection and direction selection.
        //
        //
        // Angle edit box.
        //
        : edit_box {
            key = /*MSG0*/"angle_edit";
            edit_width = 14;
            label = /*DIRECTION_DCL_9*/"&Angle:";
        }
        : button{
            label = /*DIRECTION_DCL_10*/"&Pick <";
            key = /*MSG0*/"angle_pick";
            fixed_width = true;
            width = 8;
            alignment = left;
        }
    }
    //
    // Angle direction radio cluster.
    //
    : radio_column {
        : radio_button {
            key = /*MSG0*/"angle_dir_ccw";
            label = /*DIRECTION_DCL_11*/"&Counter-Clockwise";
        }
        : radio_button {
            key = /*MSG0*/"angle_dir_cw";
            label = /*DIRECTION_DCL_12*/"C&lockwise";
        }
    }
    ok_cancel;
    : errtile {
        width = 22;
    }
}

// The following is mostly copied from DDINSERT.DCL   Version 1.0
// Corresponding dialogues for DDINSERT which is the dialog version
// of the Insert command.
ddinsert : dialog {
    label = /*DDINSERT_DCL_1*/"Insert";
    : boxed_column {
        label = /*DDINSERT_DCL_2*/"Select Block Name";
        : row {
            : button {
                label = /*DDINSERT_DCL_3*/"&Block...";
                key = /*MSG0*/"int_blocks";
                width = 10;
                fixed_width = true;
            }
            : edit_box {
                label = /*MSG0*/"";
                key = /*MSG0*/"current_name";
                width = 36;
                edit_limit = 31;
            }
        }
        : row {
            : button {
                label = /*DDINSERT_DCL_4*/"&File...";
                key = /*MSG0*/"ext_blocks";
                width = 10;
                fixed_width = true;
            }
            : edit_box {
                key = /*MSG0*/"path_name";
                width = 36;
            }
        }
    }
    : boxed_column {
        label = /*DDINSERT_DCL_5*/"Options";
        : row {
            : toggle {
                label = /*DDINSERT_DCL_6*/"&Specify Parameters on Screen";
                key = /*MSG0*/"on_screen";
                fixed_width = true;
            }
        }
        : row {
            : boxed_column {
                label = /*DDINSERT_DCL_7*/"Insertion Point";
                : edit_box {
                    label = /*DDINSERT_DCL_8*/"&X:";
                    key = /*MSG0*/"x_pt";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*DDINSERT_DCL_9*/"&Y:";
                    key = /*MSG0*/"y_pt";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*DDINSERT_DCL_10*/"&Z:";
                    key = /*MSG0*/"z_pt";
                    edit_width = 10;
                }
            }
            : boxed_column {
                label = /*DDINSERT_DCL_11*/"Scale";
                : edit_box {
                    label = /*DDINSERT_DCL_12*/"&X:";
                    key = /*MSG0*/"x_scale";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*DDINSERT_DCL_13*/"&Y:";
                    key = /*MSG0*/"y_scale";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*DDINSERT_DCL_14*/"&Z:";
                    key = /*MSG0*/"z_scale";
                    edit_width = 10;
                }
            }
            : column {
                : boxed_column {
                    label = /*DDINSERT_DCL_15*/"Rotation";
                    fixed_height = true;
                    : edit_box {
                        label = /*DDINSERT_DCL_16*/"&Angle:";
                        key = /*MSG0*/"rotation";
                        edit_width = 6;
                    }
                }
            }
        }
    }
    : toggle {
        label = /*DDINSERT_DCL_17*/"&Explode";
        key = /*MSG0*/"explode";
        fixed_width = true;
    }
    ok_cancel_help_errtile;
}

int_blocks : dialog {
    label = /*INTBLOCKS_DCL_1*/"Blocks Defined in this Drawing";
    : edit_box {
        label = /*INTBLOCKS_DCL_2*/"&Pattern:";
        key = /*MSG0*/"pattern";
    }
    : list_box {
        key = /*MSG0*/"bl_match";
        width = 32;
        allow_accept = true;
    }
    : edit_box {
        label = /*INTBLOCKS_DCL_3*/"&Selection:";
        key = /*MSG0*/"selection";
    }
    spacer;
    ok_cancel_err;
}

blk_exists : dialog {
    label = /*BLKEXISTS_DCL_1*/"Warning";
    : paragraph {
        : text_part {
            label = /*BLKEXISTS_DCL_2*/"A Block with this name already exists in the drawing.";
        }
        : text_part {
            label = /*BLKEXISTS_DCL_3*/"Do you want to redefine it?";
        }
    }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = /*BLKEXISTS_DCL_4*/"&Redefine";
            key = /*MSG0*/"redefine";
            width = 8;
        }
        : spacer {
            width = 2;
        }
        : default_button {
            label = /*BLKEXISTS_DCL_5*/"&Cancel";
            key = /*MSG0*/"no";
            width = 8;
        }
    }
}

//  DDIM stuff follows.

mutton :button{
    fixed_width = true;
    width = 22;
}

// column with default small margins
stack :cluster{
    layout = vertical;
}

dim_row :row{
    children_alignment = bottom;
}

dprot_cscale :boxed_column{
    label = /*ACLT1_DCL_1*/"Scale";
    :edit12_box{
        label = /*ACLT1_DCL_2*/"&Feature Scaling:";
        key = /*MSG0*/"cgdscl";
    }
    :toggle{
        label = /*ACLT1_DCL_3*/"Use &Paper Space Scaling";
        key = /*MSG0*/"cpsdscl";
    }
}

dprot_clrd :dim_row{

    :edit_box{
        label = /*ACLT1_DCL_4*/"Dimension &Line Color:";
        key = /*MSG0*/"clrdt";
        width = 9;
        edit_width=9;
    }
    :swatch{
        key = /*MSG0*/"clrd";
    }
}

dprot_clre :dim_row{
    :edit_box{
        label = /*ACLT1_DCL_5*/"&Extension Line Color:";
        key = /*MSG0*/"clret";
        width = 9;
        edit_width=9;
    }
    :swatch{
        key = /*MSG0*/"clre";
    }
}

dprot_clrt :dim_row{
    :edit_box{
        label = /*ACLT1_DCL_6*/"&Dimension Text Color:";
        key = /*MSG0*/"clrtt";
        width = 9;
        edit_width=9;
    }
    :swatch{
        key = /*MSG0*/"clrt";
    }
}

dprot_e :boxed_column{
    label = /*ACLT1_DCL_7*/"Extension Lines";
    :edit12_box{
        label = /*ACLT1_DCL_8*/"&Extension Above Line:";
        key = /*MSG0*/"exe";
    }
    :edit12_box{
        label = /*ACLT1_DCL_9*/"Feature &Offset:";
        key = /*MSG0*/"exo";
    }
    :popup_list{
        label = /*ACLT1_DCL_10*/"Visibilit&y";
        key = /*MSG0*/"se12";
        list = /*ACLT1_DCL_11*/"Draw Both\nSuppress First\nSuppress Second\nSuppress Both";
    }
    :edit12_box{
        label = /*ACLT1_DCL_12*/"&Center Mark Size:";
        key = /*MSG0*/"cen";
    }
    :toggle{
        label = /*ACLT1_DCL_13*/"&Mark with Center Lines";
        key = /*MSG0*/"mcen";
    }
}

dprot_glb :column{
    :row{
        fixed_width = true;
        :text{
            label = /*ACLT1_DCL_14*/"Style:";
            is_bold = true;
        }
        :text{
            key = /*MSG0*/"gdsty";
            width = 24;
        }
    }
     :edit12_box{
         label = /*ACLT1_DCL_15*/"&Feature Scaling:";
         key = /*MSG0*/"gdscl";
     }
     :toggle{
         label = /*ACLT1_DCL_16*/"Use &Paper Space Scaling";
         key = /*MSG0*/"psdscl";
     }
}

dprot_l :boxed_column{
    label = /*ACLT1_DCL_17*/"Dimension Line";
    :toggle{
        label = /*ACLT1_DCL_18*/"Force &Interior Lines";
        key = /*MSG0*/"tofl";
    }
    :toggle{
        label = /*ACLT1_DCL_19*/"Basic &Dimension";
        key = /*MSG0*/"ref";
    }
    :edit12_box{
        label = /*ACLT1_DCL_20*/"Text &Gap:";
        key = /*MSG0*/"gap";
    }
    :edit12_box{
        label = /*ACLT1_DCL_21*/"&Baseline Increment:";
        key = /*MSG0*/"dli";
    }
}

dprot_t :boxed_column{
    label = /*ACLT1_DCL_22*/"Text Position";
    :edit12_box{
        label = /*ACLT1_DCL_23*/"Te&xt Height:";
        key = /*MSG0*/"txt";
    }
    :edit12_box{
        label = /*ACLT1_DCL_24*/"&Tolerance Height:";
        key = /*MSG0*/"tfac";
    }
    :popup_list{
        label = /*ACLT1_DCL_25*/"Ho&rizontal";
        key = /*MSG0*/"tix_soxd";
        list = /*ACLT1_DCL_26*/"Default\nForce Text Inside\nText, Arrows Inside";
    }
    :popup_list{
        label = /*ACLT1_DCL_27*/"&Vertical";
        key = /*MSG0*/"tad_tvp";
        list = /*ACLT1_DCL_28*/"Centered\nAbove\nRelative";
    }
    :edit12_box{
        label = /*ACLT1_DCL_29*/"Relative &Position:";
        key = /*MSG0*/"tvp";
    }
    :popup_list{
        label = /*ACLT1_DCL_30*/"A&lignment";
        key = /*MSG0*/"tih_toh";
        edit_width = 25;
        list = /*ACLT1_DCL_31*/"Orient Text Horizontally\nAlign With Dimension Line\nAligned When Inside Only\nAligned When Outside Only";
    }
}

dprot_a :boxed_column{
    label = /*ACLT1_DCL_32*/"Arrows";
    :radio_cluster{
        key = /*MSG0*/"atype";
        :radio_button{
            label = /*ACLT1_DCL_33*/"&Arrow";
            key = /*MSG0*/"atarrow";
        }
        :radio_button{
            label = /*ACLT1_DCL_34*/"Tic&k";
            key = /*MSG0*/"attick";
        }
        :radio_button{
            label = /*ACLT1_DCL_35*/"&Dot";
            key = /*MSG0*/"atdot";
        }
        :radio_button{
            label = /*ACLT1_DCL_36*/"&User";
            key = /*MSG0*/"atblk";
        }
    }
    :edit12_box{
        label = /*ACLT1_DCL_37*/"Arrow Si&ze:";
        key = /*MSG0*/"asz";
    }
    :column{
        :edit12_box{
            label = /*ACLT1_DCL_38*/"User Arro&w:";
            key = /*MSG0*/"blk";
            edit_limit = 32;
        }
        :toggle{
            label = /*ACLT1_DCL_39*/"&Separate Arrows";
            key = /*MSG0*/"sah";
        }
        :column{
            :edit12_box{
                label = /*ACLT1_DCL_40*/"&First Arrow:";
                key = /*MSG0*/"blk1";
                edit_limit = 32;
            }
            :edit12_box{
                label = /*ACLT1_DCL_41*/"Seco&nd Arrow:";
                key = /*MSG0*/"blk2";
                edit_limit = 32;
            }
        }
    }
    :edit12_box{
        label = /*ACLT1_DCL_42*/"Tick E&xtension:";
        key = /*MSG0*/"dle";
    }
}


ddim :dialog{
    label = /*DDIM_DCL_1*/"Dimension Styles and Settings";
    initial_focus = /*MSG0*/"styname";
    :row{
        :boxed_column{
            label = /*DDIM_DCL_2*/"Dimension &Styles";
            width = 24;
            :list_box{
                key = /*MSG0*/"stlb";
                height = 9;
                allow_accept = true;
            }
        }
        :boxed_column{
            label = /*DDIM_DCL_3*/"Dimension Settings";
            width = 24;
            children_alignment = centered;
            :column {
                fixed_height = true;
                :mutton{
                    label = /*DDIM_DCL_4*/"Dimension &Line...";
                    key = /*MSG0*/"dlin";
                }
                :mutton{
                    label = /*DDIM_DCL_5*/"&Extension Lines...";
                    key = /*MSG0*/"dext";
                }
                :mutton{
                    label = /*DDIM_DCL_6*/"&Arrows...";
                    key = /*MSG0*/"darr";
                }
                :mutton{
                    label = /*DDIM_DCL_7*/"&Text Location...";
                    key = /*MSG0*/"dtxt";
                }
            }
            :column {
                fixed_height = true;
                :mutton{
                    label = /*DDIM_DCL_8*/"Text F&ormat...";
                    key = /*MSG0*/"dmt";
                }
//                :mutton{
//                    label = /*DDIM_DCL_9*/"&Features...";
//                    key = /*MSG0*/"dft";
//                }
                :mutton{
                    label = /*DDIM_DCL_10*/"Scale and &Colors...";
                    key = /*MSG0*/"dct";
                }
            }
        }
    }
    :edit_box{
        label = /*DDIM_DCL_11*/"&Dimension Style:";
        fixed_width = true;
        key = /*MSG0*/"styname";
        edit_width = 32;
    }
    ok_cancel_help_errtile;
}

dim_a :dialog{
    label = /*DIMA_DCL_1*/"Arrows";
//    dprot_glb;
//    dprot_clrd;
    dprot_a;
    ok_cancel_help_errtile;
}

dim_c :dialog{
    label = /*DIMC_DCL_1*/"Scale and Colors";
    dprot_cscale;
    :boxed_column{
        label = /*DIMC_DCL_2*/"Colors";
        :stack{
            dprot_clrd;
            dprot_clre;
            dprot_clrt;
        }
    }
    ok_cancel_help_errtile;
}

dim_e :dialog{
    label = /*DIME_DCL_1*/"Extension Lines";
//    dprot_glb;
//    dprot_clre;
    dprot_e;
    ok_cancel_help_errtile;
}

dim_l :dialog{
    label = /*DIML_DCL_1*/"Dimension Line";
//    dprot_glb;
//    dprot_clrd;
    dprot_l;
    ok_cancel_help_errtile;
}

dim_m :dialog{
    label = /*DIMM_DCL_1*/"Text Format";
    :row{
        :column{
//            dprot_glb;
            :boxed_column{
                label = /*DIMM_DCL_2*/"Basic Units";
                :edit12_box{
                    label = /*DIMM_DCL_3*/"Length &Scaling:";
                    key = /*MSG0*/"lfac";
                }
                :toggle{
                    label = /*DIMM_DCL_4*/"Scale In Paper Space &Only";
                    key = /*MSG0*/"pslfac";
                }
                :edit12_box{
                    label = /*DIMM_DCL_5*/"&Round Off:";
                    key = /*MSG0*/"rnd";
                }
                :edit12_box{
                    label = /*DIMM_DCL_6*/"Text Pref&ix:";
                    key = /*MSG0*/"post_1";
                }
                :edit12_box{
                    label = /*DIMM_DCL_7*/"Text Suffi&x:";
                    key = /*MSG0*/"post_2";
                }
            }
            :boxed_row{
                label = /*DIMM_DCL_8*/"Zero Suppression";
                :column{
                    :toggle{
                        label = /*DIMM_DCL_9*/"0 &Feet";
                        key = /*MSG0*/"z1";
                    }
                    :toggle{
                        label = /*DIMM_DCL_10*/"&0 Inches";
                        key = /*MSG0*/"z2";
                    }
                }
                :column {
                    :toggle{
                        label = /*DIMM_DCL_11*/"L&eading";
                        key = /*MSG0*/"z3";
                    }
                    :toggle{
                        label = /*DIMM_DCL_12*/"&Trailing";
                        key = /*MSG0*/"z4";
                    }
                }
            }
        }
        :column{
            :boxed_column{
                fixed_height = true;
                label = /*DIMM_DCL_13*/"Tolerances";
                :radio_column{
                    key = /*MSG0*/"toltyp";
                    :radio_button{
                        label = /*DIMM_DCL_14*/"&None";
                        key = /*MSG0*/"tlnone";
                    }
                    :radio_button{
                        label = /*DIMM_DCL_15*/"&Variance";
                        key = /*MSG0*/"tltol";
                    }
                    :radio_button{
                        label = /*DIMM_DCL_16*/"&Limits";
                        key = /*MSG0*/"tllim";
                    }
                }
                :column{
                    fixed_height = true;
                    :edit12_box{
                        label = /*DIMM_DCL_17*/"U&pper Value:";
                        key = /*MSG0*/"tp";
                    }
                    :edit12_box{
                        label = /*DIMM_DCL_18*/"Lo&wer Value:";
                        key = /*MSG0*/"tm";
                    }
                }
            }
            :boxed_column{
                fixed_height = true;
                label = /*DIMM_DCL_19*/"Alternate Units";
                :toggle{
                    label = /*DIMM_DCL_20*/"Show &Alternate Units?";
                    key = /*MSG0*/"alt";
                }
                :column{
                    fixed_height = true;
                    :edit12_box{
                        label = /*DIMM_DCL_21*/"&Decimal Places:";
                        key = /*MSG0*/"altd";
                    }
                    :edit12_box{
                        label = /*DIMM_DCL_22*/"S&caling:";
                        key = /*MSG0*/"altf";
                    }
                    :edit12_box{
                        label = /*DIMM_DCL_23*/"S&uffix:";
                        key = /*MSG0*/"apost";
                    }
                }
            }
        }
    }
    ok_cancel_help_errtile;
}

dim_t :dialog{
    label = /*DIMT_DCL_1*/"Text Location";
//    dprot_glb;
//    dprot_clrt;
    dprot_t;
    ok_cancel_help_errtile;
}

button_12 :button{
    width = 12;
    fixed_width = true;
}

//  DDIM stuff precedes.

//  Continues in ACLT2.DCL

//    ACLT2.DCL      Version 1.0
//    Part 2 of the source for ACLT.DCL.  See also ACLT1.DCL and ACLT[3-4].DCL.
//
//    Copyright (C) 1991-1995 by Autodesk, Inc.
//         
//    Permission to use, copy, modify, and distribute this software 
//    for any purpose and without fee is hereby granted, provided 
//    that the above copyright notice appears in all copies and that 
//    both that copyright notice and this permission notice appear in 
//    all supporting documentation.
//
//    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.

//  DDMODIFY stuff follows.

//-------- Subassemblies and prototypes shared across several dialogues -------

ddmod_props : boxed_row {
    label = /*DDMODPROPS_DCL_1*/"Properties";
    : row {
        fixed_width = true;
        : column {
            fixed_width = true;
            : row {
                : button {
                    label = /*DDMODPROPS_DCL_2*/"&Color...";
                    key = /*MSG0*/"b_color";
                }
                : image_button {
                    key = /*MSG0*/"show_image";
                    height = 1;
                    width = 3;
                }
              }
              : button {
                  label = /*DDMODPROPS_DCL_3*/"L&inetype...";
                  key = /*MSG0*/"b_line";
              }
        }
        : column {
            spacer_0;
            fixed_width = true;
            : text {
                key = /*MSG0*/"t_color";
                width = 12;
            }
            : text {
                key = /*MSG0*/"t_ltype";
                width = 13;
            }
            spacer_0;
        }
    }
    : column {
        fixed_width = true;
        : row {
            : button {
                label = /*DDMODPROPS_DCL_4*/"&Layer...";
                key = /*MSG0*/"b_name";
            }
            : text {
                key = /*MSG0*/"t_layer";
                width = 18;
            }
        }
        : edit_box {
            key = /*MSG0*/"eb_thickness";
            label = /*DDMODPROPS_DCL_5*/"&Thickness:";
            edit_width = 18;
        }
    }
}

ddmod_num_box : edit_box {
    edit_width = 10;
}

ddmod_pk_pt_button : button {
    label = /*ACLT2_DCL_5*/"Pick Point <";
    alignment = centered;
}

ddmod_pk_pt_1_button : ddmod_pk_pt_button {
    key = /*MSG0*/"pick_1";
    mnemonic = /*ACLT2_DCL_1*/"P";
}
ddmod_pk_pt_2_button : ddmod_pk_pt_button {
    key = /*MSG0*/"pick_2";
    mnemonic = /*ACLT2_DCL_2*/"k";
}
ddmod_pk_pt_3_button : ddmod_pk_pt_button {
    key = /*MSG0*/"pick_3";
    mnemonic = /*ACLT2_DCL_3*/"o";
}
ddmod_pk_pt_4_button : ddmod_pk_pt_button {
    key = /*MSG0*/"pick_4";
    mnemonic = /*ACLT2_DCL_4*/"n";
}

ddmod_x_box : ddmod_num_box {
    label = /*ACLT2_DCL_6*/"&X:";
}
ddmod_y_box : ddmod_num_box {
    label = /*ACLT2_DCL_7*/"&Y:";
}
ddmod_z_box : ddmod_num_box {
    label = /*ACLT2_DCL_8*/"&Z:";
}

ddmod_x1_box : ddmod_x_box {
    key = /*MSG0*/"x1_pt";
}
ddmod_x2_box : ddmod_x_box {
    key = /*MSG0*/"x2_pt";
}
ddmod_x3_box : ddmod_x_box {
    key = /*MSG0*/"x3_pt";
}
ddmod_x4_box : ddmod_x_box {
    key = /*MSG0*/"x4_pt";
}

ddmod_y1_box : ddmod_y_box {
    key = /*MSG0*/"y1_pt";
}
ddmod_y2_box : ddmod_y_box {
    key = /*MSG0*/"y2_pt";
}
ddmod_y3_box : ddmod_y_box {
    key = /*MSG0*/"y3_pt";
}
ddmod_y4_box : ddmod_y_box {
    key = /*MSG0*/"y4_pt";
}

ddmod_z1_box : ddmod_z_box {
    key = /*MSG0*/"z1_pt";
}
ddmod_z2_box : ddmod_z_box {
    key = /*MSG0*/"z2_pt";
}
ddmod_z3_box : ddmod_z_box {
    key = /*MSG0*/"z3_pt";
}
ddmod_z4_box : ddmod_z_box {
    key = /*MSG0*/"z4_pt";
}

ddmod_handle : concatenation {
    : text_part {
        label = /*ACLT2_DCL_9*/"Handle: ";
    }
    : text_part {
        key = /*MSG0*/"Handle";
        width = 8;
    }
}

//-------------------- Dialogues --------------------

ddmod_point : dialog {
    label = /*DDMODPOINT_DCL_1*/"Modify Point";
    ddmod_props;
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*DDMODPOINT_DCL_2*/"Location";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            alignment = top;
            fixed_height = true;
            spacer_1;
            ddmod_handle;
        }
    }
    ok_cancel_help_errtile;
}

ddmod_line : dialog {
    label = /*DDMODLINE_DCL_1*/"Modify Line";
    ddmod_props;
    spacer;
    : row {
        : boxed_column {
            label = /*DDMODLINE_DCL_2*/"From Point";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        : boxed_column {
            label = /*DDMODLINE_DCL_3*/"To Point";
            fixed_width = true;
            ddmod_pk_pt_2_button;
            ddmod_x2_box;
            ddmod_y2_box;
            ddmod_z2_box;
        }
        : column {
            : text {
                label = /*DDMODLINE_DCL_4*/"Delta XYZ: ";
            }
            : column {
                fixed_height = true;
                : concatenation {
                    : text_part {
                        label = /*DDMODLINE_DCL_5*/" X:";
                        width = 4;
                    }
                    : text_part {
                        key = /*MSG0*/"delta_x";
                        width = 10;
                    }
                }
                : concatenation {
                    : text_part {
                        label = /*DDMODLINE_DCL_6*/" Y:";
                        width = 4;
                    }
                    : text_part {
                        key = /*MSG0*/"delta_y";
                        width = 10;
                    }
                }
                : concatenation {
                    : text_part {
                        label = /*DDMODLINE_DCL_7*/" Z:";
                        width = 4;
                    }
                    : text_part {
                        key = /*MSG0*/"delta_z";
                        width = 10;
                    }
                }
            }
            spacer_0;
            : column {
                fixed_height = true;
                : concatenation {
                    : text_part {
                        label = /*DDMODLINE_DCL_8*/"Length: ";
                        width = 8;
                    }
                    : text_part {
                        key = /*MSG0*/"l_length";
                        width = 10;
                    }
                }
                fixed_height = true;
                : concatenation {
                    : text_part {
                        label = /*DDMODLINE_DCL_9*/"Angle: ";
                        width = 8;
                    }
                    : text_part {
                        key = /*MSG0*/"l_angle";
                        width = 10;
                    }
                }
            }
        }
    spacer_1;
    }
    spacer;
    ddmod_handle;
    ok_cancel_help_errtile;
}

ddmod_circle : dialog {
    label = /*DDMODCIRCLE_DCL_1*/"Modify Circle";
    ddmod_props;
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*DDMODCIRCLE_DCL_2*/"Center";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            fixed_height = true;
            : text {
               label = /*MSG0*/"   ";
            }
            : ddmod_num_box {
                label = /*DDMODCIRCLE_DCL_3*/"&Radius:";
                key = /*MSG0*/"radius";
            }
            : row {
                : column {
                    : text { label = /*DDMODCIRCLE_DCL_4*/"Diameter: ";      }
                    : text { label = /*DDMODCIRCLE_DCL_5*/"Circumference: "; }
                    : text { label = /*DDMODCIRCLE_DCL_6*/"Area: ";          }
                    : text { label = /*DDMODCIRCLE_DCL_7*/"Handle: ";        }
                }
                : column {
                    : text { width = 11; key = /*MSG0*/"Dia";    }
                    : text { width = 11; key = /*MSG0*/"Circum"; }
                    : text { width = 11; key = /*MSG0*/"Area";   }
                    : text { width = 11; key = /*MSG0*/"Handle"; }
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_arc : dialog {
    label = /*DDMODARC_DCL_1*/"Modify Arc";
    ddmod_props;
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*DDMODARC_DCL_2*/"Center";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            fixed_width = true;
            : text {
               label = /*MSG0*/"   ";
            }
            : ddmod_num_box {
                label = /*DDMODARC_DCL_3*/"&Radius: ";
                key = /*MSG0*/"radius";
            }
            : ddmod_num_box {
                label = /*DDMODARC_DCL_4*/"&Start Angle: ";
                key = /*MSG0*/"st_ang";
            }
            : ddmod_num_box {
                label = /*DDMODARC_DCL_5*/"&End Angle: ";
                key = /*MSG0*/"end_ang";
            }
            : concatenation {
                : text_part {
                  label = /*DDMODARC_DCL_6*/"Total Angle: ";
                  width = 14;
                }
                : text_part {
                  key = /*MSG0*/"tot_angle";
                  width = 10;
                }
            }
        }
        spacer;
        : column {
            fixed_height = true;
            fixed_width = true;
            alignment = top;
            : text {
                label = /*MSG0*/"   ";
            }
            : concatenation {
                : text_part {
                    label = /*DDMODARC_DCL_7*/"Arc Length: ";
                    width = 13;
                }
                : text_part {
                    key = /*MSG0*/"arclen";
                    width = 8;
                }
            }
            : concatenation {
                : text_part {
                    label = /*DDMODARC_DCL_8*/"Handle: ";
                    width = 13;
                }
                : text_part {
                    key = /*MSG0*/"Handle";
                    width = 8;
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_solid : dialog {
    label = /*DDMODSOLID_DCL_1*/"Modify Solid";
    ddmod_props;
    spacer;
    : row {
        children_alignment = top;
        children_fixed_width = true;
        children_fixed_height = true;
        : column {
            : boxed_column {
                label = /*DDMODSOLID_DCL_2*/"Point 1";
                ddmod_pk_pt_1_button;
                ddmod_x1_box;
                ddmod_y1_box;
            }
            ddmod_handle;
        }
        : boxed_column {
            label = /*DDMODSOLID_DCL_3*/"Point 2";
            ddmod_pk_pt_2_button;
            ddmod_x2_box;
            ddmod_y2_box;
        }
        : boxed_column {
            label = /*DDMODSOLID_DCL_4*/"Point 3";
            ddmod_pk_pt_3_button;
            ddmod_x3_box;
            ddmod_y3_box;
        }
        : boxed_column {
            label = /*DDMODSOLID_DCL_5*/"Point 4";
            ddmod_pk_pt_4_button;
            ddmod_x4_box;
            ddmod_y4_box;
            ddmod_z4_box;
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_block : dialog {
    label = /*DDMODBLOCK_DCL_1*/"Modify Block Insertion";
    ddmod_props;
    spacer;
    : concatenation {
       : text_part {
           label = /*DDMODBLOCK_DCL_2*/"Block Name: ";
           width = 12;
       }
       : text_part {
           key = /*MSG0*/"Bl_name";
           width = 33;
       }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*DDMODBLOCK_DCL_3*/"At";
            fixed_width = true;
            fixed_height = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            fixed_width = true;
            fixed_height = true;
            : text {
               label = /*MSG0*/"   ";
            }
            : ddmod_num_box {
                label = /*DDMODBLOCK_DCL_4*/"X-&scale: ";
                key = /*MSG0*/"xscale";
            }
            : ddmod_num_box {
                label = /*DDMODBLOCK_DCL_5*/"Y-sc&ale: ";
                key = /*MSG0*/"yscale";
            }
            : ddmod_num_box {
                label = /*DDMODBLOCK_DCL_6*/"Z-scal&e: ";
                key = /*MSG0*/"zscale";
            }
            : ddmod_num_box {
                label = /*DDMODBLOCK_DCL_7*/"&Rotation: ";
                key = /*MSG0*/"rot";
            }
        }
        spacer;
        : row {
            : column {
                spacer_1;
                : text { label = /*DDMODBLOCK_DCL_8*/"Columns: ";     }
                : text { label = /*DDMODBLOCK_DCL_9*/"Rows: ";        }
                : text { label = /*DDMODBLOCK_DCL_10*/"Col Spacing: "; }
                : text { label = /*DDMODBLOCK_DCL_11*/"Row Spacing: "; }
                : text { label = /*DDMODBLOCK_DCL_12*/"Attributes: ";  }
                : text { label = /*DDMODBLOCK_DCL_13*/"Handle: ";      }
            }
            : column {
                spacer_1;
                : text { width = 11; key = /*MSG0*/"columns"; }
                : text { width = 11; key = /*MSG0*/"rows";    }
                : text { width = 11; key = /*MSG0*/"col_sp";  }
                : text { width = 11; key = /*MSG0*/"row_sp";  }
                : text { width = 11; key = /*MSG0*/"attribs"; }
                : text { width = 11; key = /*MSG0*/"Handle";  }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_xref : dialog {
    label = /*DDMODXREF_DCL_1*/"Modify External Reference";
    ddmod_props;
    spacer;
    : row {
        : concatenation {
           : text_part {
               label = /*DDMODXREF_DCL_2*/"Xref Name: ";
           }
           : text_part {
               key = /*MSG0*/"Bl_name";
               width = 12;
           }
        }
        spacer_0;
        : concatenation {
           : text_part {
               label = /*DDMODXREF_DCL_3*/"Path: ";
           }
           : text_part {
               key = /*MSG0*/"path";
               width = 35;
           }
        }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*DDMODXREF_DCL_4*/"At";
            fixed_width = true;
            fixed_height = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            fixed_width = true;
            fixed_height = true;
            : text {
               label = /*MSG0*/"   ";
            }
            : ddmod_num_box {
                label = /*DDMODXREF_DCL_5*/"X-&scale: ";
                key = /*MSG0*/"xscale";
            }
            : ddmod_num_box {
                label = /*DDMODXREF_DCL_6*/"Y-sc&ale: ";
                key = /*MSG0*/"yscale";
            }
            : ddmod_num_box {
                label = /*DDMODXREF_DCL_7*/"Z-sca&le: ";
                key = /*MSG0*/"zscale";
            }
            : ddmod_num_box {
                label = /*DDMODXREF_DCL_8*/"&Rotation: ";
                key = /*MSG0*/"rot";
            }
        }
        spacer;
        : row {
            : column {
                spacer_1;
                : text { label = /*DDMODXREF_DCL_9*/"Columns: ";     }
                : text { label = /*DDMODXREF_DCL_10*/"Rows: ";        }
                : text { label = /*DDMODXREF_DCL_11*/"Col Spacing: "; }
                : text { label = /*DDMODXREF_DCL_12*/"Row Spacing: "; }
                : text { label = /*DDMODXREF_DCL_13*/"Handle: ";      }
            }
            : column {
                spacer_1;
                : text { width = 11; key = /*MSG0*/"columns"; }
                : text { width = 11; key = /*MSG0*/"rows";    }
                : text { width = 11; key = /*MSG0*/"col_sp";  }
                : text { width = 11; key = /*MSG0*/"row_sp";  }
                : text { width = 11; key = /*MSG0*/"Handle";  }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_text : dialog {
    label = /*DDMODTEXT_DCL_1*/"Modify Text";
    ddmod_props;
    spacer;
    : edit_box {
        label = /*DDMODTEXT_DCL_2*/"T&ext: ";
        key = /*MSG0*/"t_string";
        width = 50;
        edit_limit = 255;
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*DDMODTEXT_DCL_3*/"Origin";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        : column {
            fixed_width = true;
            : text {
                label = /*MSG0*/"  ";
            }
            : ddmod_num_box {
                label = /*DDMODTEXT_DCL_4*/"Hei&ght: ";
                key = /*MSG0*/"hght";
            }
            : ddmod_num_box {
                label = /*DDMODTEXT_DCL_5*/"&Rotation: ";
                key = /*MSG0*/"rot";
            }
            : ddmod_num_box {
                label = /*DDMODTEXT_DCL_6*/"&Width Factor: ";
                key = /*MSG0*/"wid";
            }
            : ddmod_num_box {
                label = /*DDMODTEXT_DCL_7*/"&Obliquing: ";
                key = /*MSG0*/"obl";
            }
        }
        : column {
            fixed_width = true;
            : text {
                label = /*MSG0*/"  ";
            }
            : popup_list {
                label = /*DDMODTEXT_DCL_8*/"&Justify:";
                key = /*MSG0*/"popup_just";
                edit_width = 13;
            }
            : popup_list {
                label = /*DDMODTEXT_DCL_9*/"&Style:";
                key = /*MSG0*/"style";
                edit_width = 13;
            }
            : column {
                children_fixed_width = true;
                : toggle {
                    label = /*DDMODTEXT_DCL_10*/"&Upside Down";
                    key = /*MSG0*/"upsd";
                }
                : toggle {
                    label = /*DDMODTEXT_DCL_11*/"&Backward";
                    key = /*MSG0*/"bkwd";
                }
            }
        }
    }
    spacer;
    ddmod_handle;
    ok_cancel_help_errtile;
}

ddmod_attdef : dialog {
    label = /*DDMODATTDEF_DCL_1*/"Modify Attribute Definition";
    ddmod_props;
    spacer;
    : row {
        children_fixed_width = true;
        : edit_box {
            label = /*DDMODATTDEF_DCL_2*/"T&ag:";
            key = /*MSG0*/"tag";
            edit_width = 12;
            edit_limit = 255;
        }
        : edit_box {
            label = /*DDMODATTDEF_DCL_3*/"P&rompt:";
            key = /*MSG0*/"prompt";
            edit_width = 12;
            edit_limit = 255;
        }
        : edit_box {
            label = /*DDMODATTDEF_DCL_4*/"&Default:";
            key = /*MSG0*/"t_string";
            edit_width = 12;
            edit_limit = 255;
        }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*DDMODATTDEF_DCL_5*/"Origin";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        : column {
            fixed_width = true;
            : text {
                label = /*MSG0*/"  ";
            }
            : ddmod_num_box {
                label = /*DDMODATTDEF_DCL_6*/"Hei&ght: ";
                key = /*MSG0*/"hght";
            }
            : ddmod_num_box {
                label = /*DDMODATTDEF_DCL_7*/"&Rotation: ";
                key = /*MSG0*/"rot";
            }
            : ddmod_num_box {
                label = /*DDMODATTDEF_DCL_8*/"&Width Factor: ";
                key = /*MSG0*/"wid";
            }
            : ddmod_num_box {
                label = /*DDMODATTDEF_DCL_9*/"&Obliquing: ";
                key = /*MSG0*/"obl";
            }
        }
        : column {
            fixed_width = true;
            : text {
                label = /*MSG0*/"  ";
            }
            : row {
                : popup_list {
                    label = /*DDMODATTDEF_DCL_10*/"&Justify:";
                    key = /*MSG0*/"popup_just";
                    edit_width = 13;
                }
            }
            : row {
                : popup_list {
                    label = /*DDMODATTDEF_DCL_11*/"&Style:";
                    key = /*MSG0*/"style";
                    edit_width = 13;
                }
            }
            : row {
                : column {
                   children_fixed_width = true;
                   : toggle {
                      label = /*DDMODATTDEF_DCL_12*/"&Upside Down";
                      key = /*MSG0*/"upsd";
                   }
                   : toggle {
                       label = /*DDMODATTDEF_DCL_13*/"&Backward";
                       key = /*MSG0*/"bkwd";
                   }
                   : toggle {
                       label = /*DDMODATTDEF_DCL_14*/"In&visible";
                       key = /*MSG0*/"inv";
                   }
                }
                : column {
                   children_fixed_width = true;
                   : toggle {
                       label = /*DDMODATTDEF_DCL_15*/"Co&nstant";
                       key = /*MSG0*/"con";
                   }
                   : toggle {
                       label = /*DDMODATTDEF_DCL_16*/"Veri&fy";
                       key = /*MSG0*/"ver";
                   }
                   : toggle {
                       label = /*DDMODATTDEF_DCL_17*/"Pr&eset";
                       key = /*MSG0*/"pre";
                   }
                }
            }
        }
    }
    spacer;
    ddmod_handle;
    ok_cancel_help_errtile;
}

ddmod_pline : dialog {
    label = /*DDMODPLINE_DCL_1*/"Modify Polyline";
    ddmod_props;
    spacer;
    : row {
        fixed_width = true;
        : concatenation {
            : text_part {
                label = /*DDMODPLINE_DCL_2*/"Polyline Type: ";
            }
            : text_part {
                key = /*MSG0*/"ptype";
                width = 19;
            }
        }
    }
    spacer;
    : row {
        : boxed_column {
            label = /*DDMODPLINE_DCL_3*/"Vertex Listing";
            fixed_width = true;
            : row {
                : column {
                    vertical_margin = wide;
                    : concatenation {
                        : text_part {
                            label = /*DDMODPLINE_DCL_4*/"Vertex:";
                        }
                        : text_part {
                            key = /*MSG0*/"ctr";
                            width = 4;
                        }
                    }
                }
                : column {
                    : button {
                        label = /*DDMODPLINE_DCL_5*/"&Next";
                        key = /*MSG0*/"next_v";
                    }
                }
            }
            : concatenation {
                : text_part {
                  label = /*DDMODPLINE_DCL_6*/"X: ";
                }
                : text_part {
                  key = /*MSG0*/"xtext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = /*DDMODPLINE_DCL_7*/"Y: ";
                }
                : text_part {
                  key = /*MSG0*/"ytext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = /*DDMODPLINE_DCL_8*/"Z: ";
                }
                : text_part {
                  key = /*MSG0*/"ztext";
                  width = 10;
                }
            }
        }
        spacer;
        : boxed_radio_column {
            label = /*DDMODPLINE_DCL_9*/"Fit/Smooth";
            key = /*MSG0*/"f-s";
            : radio_button {
                label = /*DDMODPLINE_DCL_10*/"N&one";
                key = /*MSG0*/"none";
            }
            : radio_button {
                label = /*DDMODPLINE_DCL_11*/"&Quadratic";
                key = /*MSG0*/"quad";
            }
            : radio_button {
                label = /*DDMODPLINE_DCL_122*/"Cu&bic";
                key = /*MSG0*/"cubic";
            }
            : radio_button {
                label = /*DDMODPLINE_DCL_13*/"Cu&rve Fit";
                key = /*MSG0*/"fit";
            }
        }
        spacer;
        : boxed_column {
            fixed_width = true;
            label = /*DDMODPLINE_DCL_14*/"Polyline";
            key = /*MSG0*/"pline";
            : column {
               fixed_height = true;
               : toggle {
                   label = /*DDMODPLINE_DCL_15*/"Close&d";
                   key = /*MSG0*/"closed";
               }
               : toggle {
                   label = /*DDMODPLINE_DCL_16*/"LT &Gen";
                   key = /*MSG0*/"ltgen";
               }
            }
        }
        : column {
            alignment = top;
            fixed_height = true;
            spacer_1;
            ddmod_handle;
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_setltype : dialog {
    label = /*DDMODLTYPE_DCL_1*/"Select Linetype";
    image_block;
    : list_box {
        key = /*MSG0*/"list_lt";
        allow_accept = true;
    }
    : edit_box {
        key = /*MSG0*/"edit_lt";
        allow_accept = false;
        label = /*DDMODLTYPE_DCL_2*/"&Linetype:";
        edit_limit = 31;
    }
    ok_cancel_err;
}

ddmod_setlayer : dialog {
    subassembly = 0;
    label = /*DDMODLAYER_DCL_1*/"Select Layer";
    initial_focus = /*MSG0*/"listbox";
    : concatenation {
        children_fixed_width = true;
        key = /*MSG0*/"clayer";
        : text_part {
            label = /*DDMODLAYER_DCL_3*/"Current Layer: ";
            width = 15;
        }
        : text_part {
            key = /*MSG0*/"cur_layer";
            width = 35;
        }
    }
    : row {
        fixed_width = true;
        key = /*MSG0*/"titles";
        children_fixed_width = true;
        : text {
            label = /*DDMODLAYER_DCL_4*/"Layer Name";
            width = /*GLOB2_DCL_2*/34;
        }
        : text {
            label = /*DDMODLAYER_DCL_5*/"State";
            width = /*GLOB2_DCL_3*/9;
        }
        : text {
            label = /*DDMODLAYER_DCL_6*/"Color";
            width = /*GLOB2_DCL_4*/8;
        }
        : text {
            label = /*DDMODLAYER_DCL_7*/"Linetype";
            width = /*GLOB2_DCL_5*/12;
        }
    }
    : list_box {
        tabs = /*GLOB2_DCL_1*/"32 35 37 39 41 44 53";
        width = 67;
        height = 12;
        key = /*MSG0*/"list_lay";
        allow_accept = true;
    }
    : row {
        key = /*MSG0*/"controls";
        : column {
            key = /*MSG0*/"lname";
            fixed_width = true;
            : edit_box {
                label = /*DDMODLAYER_DCL_8*/"&Set Layer Name:";
                key = /*MSG0*/"edit_lay";
                width = 32;
                edit_width = 32;
                edit_limit = 31;
                allow_accept = true;
            }
        }
    }
    ok_cancel_err;
}

//  DDMODIFY stuff precedes.

//  Continues in ACLT3.DCL

//    ACLT3.DCL      Version 1.0
//    Part 3 of the source for ACLT.DCL.  See also ACLT[1-2].DCL and ACLT4.DCL.
//
//    Copyright (C) 1991-1995 by Autodesk, Inc.
//         
//    Permission to use, copy, modify, and distribute this software 
//    for any purpose and without fee is hereby granted, provided 
//    that the above copyright notice appears in all copies and that 
//    both that copyright notice and this permission notice appear in 
//    all supporting documentation.
//
//    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.

//  BHATCH stuff follows.

f0 : dialog {
  label = /*F0_DCL_1*/"Boundary Hatch";
  f0guts;
}

f0he : dialog {
  label = /*F0HE_DCL_1*/"Hatchedit";
  f0guts;
}

f0guts : column {
  : row {
    : column { 
      : boxed_row {
        label = /*F0GUTS_DCL_1*/"Pattern T&ype";
        : popup_list {
          key = /*MSG0*/"pattern_type";
          edit_width = /*ACLT3_GLOB_1*/15;
          popup_height = 3;
          list = /*F0GUTS_DCL_2*/"Predefined\nUser-defined\nCustom\n";
        }
        : image_button {
            color        = 0;
            width        = /*ACLT3_GLOB_2*/11;
            aspect_ratio = 0.65;
            allow_accept = true;
            fixed_height = true;
            fixed_width  = true;
            alignment    = centered;
            key = /*MSG0*/"pattern_img";
            allow_accept = false;
        }
      }
      : boxed_row { 
        label = /*F0GUTS_DCL_3*/"Pattern Properties";
        : column {
          isopwidth;
          : popup_list {
            label = /*F0GUTS_DCL_4*/"Patter&n:";
            edit_width = 12;
            popup_height = 3;
            key = /*MSG0*/"pattern_name";
          }
          : edit_box {
            label = /*F0GUTS_DCL_5*/"&Custom Pattern:";
            key = /*MSG0*/"pattern_custom";
            edit_width = 12;
          }
          : edit_box {
            label = /*F0GUTS_DCL_6*/"Sca&le:  ";
            key = /*MSG0*/"hatch_scale";
            edit_width = 12;
          }
          : edit_box {
            label = /*F0GUTS_DCL_7*/"&Angle:";
            edit_width = 12;
            key = /*MSG0*/"hatch_angle";
          }
          : edit_box {
            label = /*F0GUTS_DCL_8*/"&Spacing:";
            key = /*MSG0*/"hatch_spacing";
            edit_width = 12;
          }
          spacer;
          : row {
            : toggle {
              label = /*F0GUTS_DCL_9*/"&Double";
              key = /*MSG0*/"d_hatch";
            }
            : toggle {
              label = /*F0GUTS_DCL_10*/"&Exploded";
              key = /*MSG0*/"explode";
            }
          }
          spacer;
        }
      }
    }
    : column {
      children_width = 18;
      children_fixed_width = true;
      children_alignment = centered;
      : boxed_column {
        label = /*F0GUTS_DCL_11*/"Boundary";
        spacer;
        : button {
          label = /*F0GUTS_DCL_12*/"Pick &Points <";
          key = /*MSG0*/"pick_bound";
        }
        : button {
          label = /*F0GUTS_DCL_13*/"Select &Objects <";
          key = /*MSG0*/"select";
        }
        : button {
          label = /*F0GUTS_DCL_14*/"&Remove Islands <";
          key = /*MSG0*/"rem_islands";
        }
        : button {
          label = /*F0GUTS_DCL_15*/"Vie&w Selections <";
          key = /*MSG0*/"look_at_it";
        }
        spacer;
        : button {
          label = /*F0GUTS_DCL_16*/"A&dvanced...";
          key = /*MSG0*/"options";
        }
      }
      spacer;
      : column {
        children_alignment = left;
        : button {
          label = /*F0GUTS_DCL_17*/"Preview Ha&tch <";
          key = /*MSG0*/"preview";
          width = 24;
        }
        : button {
          label = /*F0GUTS_DCL_18*/"&Inherit Properties <";
          key = /*MSG0*/"inherit";
          width = 24;
        }
        spacer;
        : toggle {
          label = /*F0GUTS_DCL_19*/"Associati&ve";
          key = /*MSG0*/"assoc";
        }
      }
      spacer;
    }
  }
  : row {
    fixed_width = true;
    alignment = centered;
    spacer;
    : button {
      key = /*MSG0*/"accept";
      is_default = true;
      label = /*F0GUTS_DCL_20*/"Apply";
      width = /*ACLT3_GLOB_3*/8;
    }
    spacer;
    : button {
      key = /*MSG0*/"cancel";
      label = /*F0GUTS_DCL_21*/"Cancel";
      width = /*ACLT3_GLOB_3*/8;
      is_cancel = true;    
    }
    spacer;
    : button {
      key = /*MSG0*/"help";
      label = /*F0GUTS_DCL_22*/"&Help";
      width = /*ACLT3_GLOB_3*/8;
    }
    spacer;
  }
  errtile;
}

acad_wait : dialog {
   key = /*MSG0*/"title";
   initial_focus = /*MSG0*/"accept";
   width = /*ACLT3_GLOB_4*/15;
   spacer; 
   : column {    
       fixed_width = true;  
       fixed_height = true;
       alignment = centered;
       : button {
           key = /*MSG0*/"accept";
           label = /*AWAIT_DCL_1*/"&Continue";
           is_cancel = true;
       }
    }
    spacer;
}


f1guts : column {
    aspect_ratio = 0;
    : row {
        : column {
          label = /*F1GUTS_DCL_1*/"Define Boundary Set";
          : radio_column {
              key = /*MSG0*/"use";
              : radio_button {
                  label = /*F1GUTS_DCL_2*/"From E&verything on Screen";
                  key = /*MSG0*/"use_all";
                  value = /*MSG0*/"1";
              }
              : radio_button {
                  label = /*F1GUTS_DCL_3*/"From E&xisting Boundary Set";
                  key = /*MSG0*/"use_old_select";
              }
          }
          spacer;
          : big_button {
              label = /*F1GUTS_DCL_4*/"Make &New Boundary Set <";
              key = /*MSG0*/"make_select";
              alignment = centered;
          }
          spacer;
        }
        : spacer { width = 1; }
    }

    spacer;
    : row {
      :column {
        : popup_list {
          label = /*F1GUTS_DCL_5*/"&Style:";
          key = /*MSG0*/"hatch_style";
          edit_width = /*ACLT3_GLOB_5*/11;
          popup_height = 3;
          list = /*F1GUTS_DCL_6*/"Normal\nOuter\nIgnore\n";

        }
        : popup_list {
            label = /*F1GUTS_DCL_7*/"&Ray Casting:";
            list = /*F1GUTS_DCL_8*/"Nearest\n+X\n-X\n+Y\n-Y\n";
            key = /*MSG0*/"ray_cast";
            edit_width = /*ACLT3_GLOB_5*/11;
            popup_height = 5;
        }
      : toggle {
          label = /*F1GUTS_DCL_9*/"Island &Detection";
          key = /*MSG0*/"islands";
      }
      : toggle {
          label = /*F1GUTS_DCL_10*/"Retain &Boundaries";
          key = /*MSG0*/"retain";
      }
      }
      :column {
        alignment = top;
        : image_button {
          color = 0;
          aspect_ratio = 0.8;
          width = 20;
          key = /*MSG0*/"icon_noi";
          fixed_width = true;
          fixed_height = true;
        }
      }
    }
}


f1 : dialog {
    label = /*F1_DCL_1*/"Advanced Options";
    f1guts;
    spacer;
    ok_cancel;
    : errtile { width = 30; }
}



f2 : dialog {
    label = /*F2_DCL_1*/"Boundary Creation";
   : column {
        : boxed_column {
            label = /*F2_DCL_2*/"Define Boundary Set";
            : radio_column {
                key = /*MSG0*/"use";
                : radio_button {
                    label = /*F2_DCL_3*/"From E&verything on Screen";
                    key = /*MSG0*/"use_all";
                    value = /*MSG0*/"1";
                }
                : radio_button {
                    label = /*F2_DCL_4*/"From E&xisting Boundary Set";
                    key = /*MSG0*/"use_old_select";
                }
            }
            : spacer { height = 0.5; }
            : big_button {
                label = /*F2_DCL_5*/"Make &New Boundary Set <";
                key = /*MSG0*/"make_select";
                alignment = centered;
            }
        }
        spacer;
        : popup_list {
            label = /*F2_DCL_6*/"&Ray Casting:";
            list = /*F2_DCL_7*/"Nearest\n+X\n-X\n+Y\n-Y\n";
            key = /*MSG0*/"ray_cast";
            edit_width = /*ACLT3_GLOB_5*/11;
            fixed_width = true;
        }
        spacer;
        : toggle {
            label = /*F2_DCL_8*/"Island &Detection";
            key = /*MSG0*/"islands";
        }
    }
    spacer;
    pick_cancel;
    errtile;
}

fh_open : dialog {
    label = /*FHOPEN_DCL_1*/"Boundary Definition Error";
    width = /*ACLT3_GLOB_6*/30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = /*FHOPEN_DCL_2*/"Boundary is not closed.";
        }
    }
    spacer_1;
    ok_look;
    spacer;
}


fh_outside : dialog {
    aspect_ratio = 0;
    label = /*FHOUTSIDE_DCL_1*/"Boundary Definition Error";
    width = /*ACLT3_GLOB_6*/30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = /*FHOUTSIDE_DCL_2*/"Point is outside of boundary.";
        }
    }
    spacer_1;
    ok_look;
    spacer;
}


fh_on : dialog {
    aspect_ratio = 0;
    label = /*FHON_DCL_1*/"Boundary Definition Error";
    width = /*ACLT3_GLOB_6*/30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = /*FHON_DCL_2*/"Point is directly on an object.";
        }
    }
    spacer_1;
    ok_look;
    spacer;
}


fh_dup : dialog {
    aspect_ratio = 0;
    label = /*FHDUP_DCL_1*/"Boundary Definition Error";
    width = /*ACLT3_GLOB_6*/30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = /*FHDUP_DCL_2*/"Boundary duplicates an existing boundary.";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


fh_awful : dialog {
    aspect_ratio = 0;
    label = /*FHAWFUL_DCL_1*/"Boundary Definition Error";
    width = /*ACLT3_GLOB_6*/30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = /*FHAWFUL_DCL_2*/"Nothing was found to make a boundary out of.";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


fh_nohatch : dialog {
    aspect_ratio = 0;
    label = /*FHNOHATCH_DCL_1*/"Hatching Error";
    width = /*ACLT3_GLOB_6*/30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = /*FHNOHATCH_DCL_2*/"No hatching was created";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


falert : dialog {
    label = /*FALERT_DCL_1*/"ALERT";
    spacer;
    : text {
        key = /*MSG0*/"alert_text_1";
        horizontal_alignment = centered;
        width = /*ACLT3_GLOB_7*/50;
    }
    : text {
        key = /*MSG0*/"alert_text_2";
        horizontal_alignment = centered;
        width = /*ACLT3_GLOB_7*/50;
    }
    spacer_1;
    ok_only;
    spacer;
}

big_button :button{
    fixed_width = true;
    width = 25;
}


look_button : retirement_button {
    label           = /*ACLT3_DCL_1*/"&Look at it";
    key             = /*MSG0*/"look";
    vertical_alignment = centered;
}


ok_look : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : ok_button { is_cancel = true; } 
        : spacer { width = 2; }
        look_button;
    }
}


next_button : button {
        label           = /*ACLT3_DCL_2*/"&Next";
        key             = /*MSG0*/"next";
        fixed_width     = true;
        width           = /*ACLT3_GLOB_8*/9;
        vertical_alignment = centered;
        horizontal_alignment = centered;
}


prev_button : button {
        label           = /*ACLT3_DCL_3*/"&Previous";
        key             = /*MSG0*/"previous";
        fixed_width     = true;
        width           = /*ACLT3_GLOB_8*/9;
        vertical_alignment = centered;
        horizontal_alignment = centered;
}


pick_cancel : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : button { 
            label = /*ACLT3_DCL_4*/"&Pick Points";
            key = /*MSG0*/"accept";
            is_default = true;
        }
        : spacer { width = 1; }
        cancel_button;
        : spacer { width = 1; }
        help_button;
    }
}

//  BHATCH stuff precedes.

//  CSETUP stuff follows.

//  Definitions for Custom Drawing Setup dialog. 
//
//  CSETUP main dialog mnemonics:
//    A - "Drawing Aids..." button
//    B - "Title Block..."  button
//    D - "Date Stamp"      toggle
//    E - "Height"          edit box
//    H - "Help..."         button
//    U - "Units..."        button
//    W - "Width"           edit box
//
csetup_main : dialog {
    label = /*CSETUP_DCL_1*/"Custom Drawing Setup";
    : row {
        : column {
            : boxed_row {
                label = /*CSETUP_DCL_2*/"Units";
                : button {
                    label = /*CSETUP_DCL_3*/"&Units...";
                    key = /*MSG0*/"units";
                    width = 14;
                    fixed_width = true;
                    alignment = top;
                }
                : paragraph {
                    alignment = left;
                    children_alignment = left;
                    : text_part { key = /*MSG0*/"lunits"; width = 40; }
                    : text_part { key = /*MSG0*/"aunits"; width = 40; }
                    spacer;
                }
            }
            : boxed_column {
                label = /*CSETUP_DCL_4*/"World (actual) Size to Represent";
                : row {
                    : edit12_box {
                        label = /*CSETUP_DCL_5*/"&Width:";
                        key = /*MSG0*/"width";
                        allow_accept = true;
                    }
                    spacer_0;
                    : edit12_box {
                        label = /*CSETUP_DCL_6*/"H&eight:";
                        key = /*MSG0*/"height";
                        allow_accept = true;
                    }
                    spacer;
                }
                spacer;
            }
        }
    }
    : boxed_row {
        label = /*CSETUP_DCL_7*/"Drawing Aids";
        : button {
            label = /*CSETUP_DCL_8*/"Drawing &Aids...";
            key = /*MSG0*/"daids";
            width = 14;
            fixed_width = true;
            alignment = top;
        }
        : paragraph {
            alignment = left;
            children_alignment = left;
            : concatenation {
                horizontal_margin = none;
                vertical_margin = none;
                : text_part { label = /*CSETUP_DCL_9*/"Snap  ";    key = /*MSG0*/"snapmode";  }
            //  : text_part { label = /*CSETUP_DCL_10*/"(Iso)  ";   key = /*MSG0*/"snapstyl";  }
                : text_part { label = /*CSETUP_DCL_11*/"Grid  ";    key = /*MSG0*/"gridmode";  }
                : text_part { label = /*CSETUP_DCL_12*/"Ortho  ";   key = /*MSG0*/"orthomode"; }
                : text_part { label = /*CSETUP_DCL_13*/"Fill  ";    key = /*MSG0*/"fillmode";  }
                : text_part { label = /*CSETUP_DCL_14*/"Qtext  ";   key = /*MSG0*/"qtextmode"; }
                : text_part { label = /*CSETUP_DCL_15*/"Blips  ";   key = /*MSG0*/"blipmode";  }
                : text_part { label = /*CSETUP_DCL_16*/"Highlight"; key = /*MSG0*/"highlight"; }
            }
            : text_part { key = /*MSG0*/"sn_space"; width = 40; }
            : text_part { key = /*MSG0*/"gr_space"; width = 40; }
            spacer;
        }
    }
    : boxed_row {
        label = /*CSETUP_DCL_17*/"Title Block";
        :  column {
            : button {
                label = /*CSETUP_DCL_18*/"Title &Block...";
                key = /*MSG0*/"tblock";
                width = 14;
                fixed_width = true;
                alignment = top;
            }
            : toggle {
                label = /*CSETUP_DCL_19*/"&Date Stamp";
                key = /*MSG0*/"tbdate";
            }
        }
        : paragraph {
            alignment = left;
            : text_part { key = /*MSG0*/"tbdesc"; width = 40; }
            : text_part { key = /*MSG0*/"tbname"; width = 40; }
        }
        spacer;
    }
    spacer;
    ok_cancel_help_errtile;
}

//  CSETUP "Title Block" dialog mnemonics:
//    A - "Add..."              button
//    C - "Change..."           button
//    D - "Delete..."           button
//    H - "Help..."             button
//    R - "Description"         list box
//
csetup_tblock : dialog {
    label = /*CSETUPT_DCL_1*/"Title Block";
    initial_focus = /*MSG0*/"tblist";
    : row {
        : list_box {
            label = /*CSETUPT_DCL_2*/"Desc&ription";
            key = /*MSG0*/"tblist";
            width = 15;
            allow_accept = true;
        }
        : column {
            width = 9;
            fixed_width = true;
            : ok_button { fixed_width = false; }
            : cancel_button { fixed_width = false; }
            : button {
                label = /*CSETUPT_DCL_3*/"&Add...";
                key = /*MSG0*/"add";
            }
            : button {
                label = /*CSETUPT_DCL_4*/"&Change...";
                key = /*MSG0*/"change";
            }
            : button {
                label = /*CSETUPT_DCL_5*/"&Delete";
                key = /*MSG0*/"delete";
            }
            : help_button { fixed_width = false; }
        }

    }
    : concatenation {
        : text_part {
            label = /*CSETUPT_DCL_6*/"File: ";
        }
        : text_part {
            key = /*MSG0*/"tbname";
            width = 35;
        }
    }
    spacer;
    errtile;
}

//  CSETUP "Add/Change Title Block" dialog mnemonics:
//    D - "Description" edit box
//    F - "File..."     button
//    H - "Help..."     button
//
csetup_tblock_add : dialog {
    key = /*MSG0*/"title";            // "Add" or "Change" title filled in
    initial_focus = /*MSG0*/"tbdesc";
    : edit_box {
        label = /*CSETUPTBLK_DCL_1*/"&Description:";
        key = /*MSG0*/"tbdesc";
        edit_width = 30;
        allow_accept = true;
    }
    : row {
        : button {
            label = /*CSETUPTBLK_DCL_2*/"&File...";
            key = /*MSG0*/"tbfile";
            fixed_width = true;
        }
        : text {
            key = /*MSG0*/"tbname";
            width = 35;
        }
    }
    ok_cancel_help_errtile;
}

//  CSETUP stuff precedes.

//  QSETUP stuff follows.

//  Definitions for Quick Drawing Setup dialog. 

qksetup : dialog {
    label = /*QKSETUP_DCL_1*/"Quick Drawing Setup";
    initial_focus = /*MSG0*/"qk_units";
    //
    // "Units of Measurement" group 
    //
    : boxed_column {
        label = /*QKSETUP_DCL_2*/"&Units of Measurement";
        : row {
            //
            // Listbox for units format selection
            //
            : popup_list {
                key = /*MSG0*/"qk_units";
                fixed_width = true;
                alignment = centered;
                edit_width = 14;
            }
            //
            // Example text display reflecting current unit format
            //
            spacer;
            :concatenation {
                :text_part { label = /*QKSETUP_DCL_3*/"Example: "; }
                :text_part { key = /*MSG0*/"qk_exunits"; width = 12; }
            }
        }
        spacer;
    }
    //
    // "World Size" (limits) group box
    //
    : boxed_column {
        label = /*QKSETUP_DCL_4*/"World (actual) Size to Represent";
        spacer;
        //
        // A row of 3 columns for "Width x Height" size input
        //
        :row {
            //
            // Width label and Edit Box
            //
            :column {
                :text{
                    label = /*QKSETUP_DCL_5*/"&Width";
                    fixed_width = true;
                    alignment = centered;
                    width = 12;
                }
                : edit12_box {
                    fixed_width = true;
                    alignment = centered;
                    mnemonic = /*QKSETUP_DCL_6*/"W";
                    key = /*MSG0*/"qk_width";
                    allow_accept = true;
                }
            }
            //
            // "X" label
            //
            :column {
                spacer_0;
                :text{
                    label = /*QKSETUP_DCL_7*/"X";
                    width = 1;
                    fixed_width = true;
                    alignment = centered;
                    horizontal_margin = none;
                }
            }
            //
            // Height label and Edit Box
            //
            :column {
                fixed_width = true;
                alignment = centered;
                :text{
                    label = /*QKSETUP_DCL_8*/"H&eight";
                    fixed_width = true;
                    alignment = centered;
                    width = 12;
                }
                : edit12_box {
                    fixed_width = true;
                    alignment = centered;
                    mnemonic = /*QKSETUP_DCL_9*/"e";
                    key = /*MSG0*/"qk_height";
                    allow_accept = true;
                }
            }
        }
        //
        // Example text display for "World Size".  Example is different 
        // for different unit formats.
        //
        :concatenation {
            alignment = centered;
            :text_part { label = /*QKSETUP_DCL_10*/"Example:  "; }
            :text_part { label = /*QKSETUP_DCL_11*/"30' x 40'"; key = /*MSG0*/"qk_exworld"; width = 26; }
        }
        spacer;
    }
    //
    // Drawing Aids group for setting Grid and Snap
    //
    : boxed_column  {
        label = /*QKSETUP_DCL_12*/"Drawing Aids";
        //
        // Check boxes for turning on/off Grid and Snap
        //
        :row {
            : toggle {
                label = /*QKSETUP_DCL_13*/"Turn On &Grid";
                key = /*MSG0*/"qk_grid";
            }
            : toggle {
                label = /*QKSETUP_DCL_14*/"Turn On &Snap";
                key = /*MSG0*/"qk_snap";
            }
        }
        spacer;
        //
        // Edit boxes for setting Grid=Snap X & Y spacing
        //
        :column {
            alignment = centered;
            children_alignment = centered;
            : edit12_box {
                label = /*QKSETUP_DCL_15*/"&X Spacing:";
                key = /*MSG0*/"qk_xsp";
                errmsg = /*QKSETUP_DCL_16*/"X Spacing";
                allow_accept = true;
                fixed_width = true;
            }
            : edit12_box {
                label = /*QKSETUP_DCL_17*/"&Y Spacing:";
                key = /*MSG0*/"qk_ysp";
                errmsg = /*QKSETUP_DCL_18*/"Y Spacing";
                allow_accept = true;
                fixed_width = true;
            }
        }
        spacer;
    }
    spacer;
    ok_cancel_help_errtile;
}

//  QSETUP stuff precedes.

//  Continues in ACLT4.DCL
//    ACLT4.DCL      Version 1.0
//    Part 4 of the source for ACLT.DCL.  See also ACLT[1-3].DCL.
//
//    Copyright (C) 1991-1995 by Autodesk, Inc.
//         
//    Permission to use, copy, modify, and distribute this software 
//    for any purpose and without fee is hereby granted, provided 
//    that the above copyright notice appears in all copies and that 
//    both that copyright notice and this permission notice appear in 
//    all supporting documentation.
//
//    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.

